function Distributions
MakeDistributionItems
end

function MakeDistributionItems
global f main
f.changeDist = axes('Position',[0.03 0.57 0.30 0.40],'Units','normalized','Parent',main.panels(main.dist),...
                   'box','on');
f.changeFig=gca;

set(f.changeFig,'ButtonDownFcn',@GetPoint);               
f.centerMenu = uicontrol('Style','popupmenu','Units', 'normalized','position', [0.03 0.50 0.10 0.03],...
                         'String',{'U*Cu','Beta'},'Fontsize',10,'Callback',@centerMenuCallback,...
                         'Parent',main.panels(main.dist));
f.hubDist = axes('Position',[0.36 0.69 0.30 0.29],'Units','normalized','Parent',main.panels(main.dist),...
                   'box','on'); 
              
f.centerDist = axes('Position',[0.36 0.36 0.30 0.29],'Units','normalized','Parent',main.panels(main.dist),...
                   'box','on');
                
f.shroudDist = axes('Position',[0.36 0.03 0.30 0.29],'Units','normalized','Parent',main.panels(main.dist),...
                    'box','on');
f.GHplaneAxes = axes('Position',[0.70 0.35 0.25 0.35],'Units','normalized','Parent',main.panels(main.dist),...
                   'box','on');             
f.HubStatic=uicontrol('Style','text','HorizontalAlignment','left','String','Hub','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[1 1 1],'position',[0.37 0.93 0.05 0.03],...
                     'Parent',main.panels(main.dist));
f.CenterStatic=uicontrol('Style','text','HorizontalAlignment','left','String','Center','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[1 1 1],'position',[0.37 0.61 0.05 0.03],...
                     'Parent',main.panels(main.dist));     
f.ShroudStatic=uicontrol('Style','text','HorizontalAlignment','left','String','Shroud','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[1 1 1],'position',[0.37 0.28 0.05 0.03],...
                     'Parent',main.panels(main.dist));
f.GHplaneStatic=uicontrol('Style','text','HorizontalAlignment','left','String','GH-plane','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[1 1 1],'position',[0.79 0.65 0.05 0.03],...
                     'Parent',main.panels(main.dist));                 
f.UpdateButton=uicontrol('Style', 'pushbutton', 'String', 'Update Design', 'Units','normalized','FontSize', 12,...
                        'position', [0.75 0.25 0.10 0.05],'Callback', @UpdateCallback,...
                        'Parent',main.panels(main.dist),'enable','on');
f.Static=uicontrol('Style','text','HorizontalAlignment','left','String','Inlet to the left for all plots, outlet to the right. To alter the distributions in the plot to the left, click inside the graph. A pair of crosshairs appears, place the cross close to a control point, and click once more. The cosen point is colored red, and can be moved around using the arrow buttons on the keyboard.','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.03 0.23 0.30 0.10],...
                     'Parent',main.panels(main.dist));
f.UCuStatic=uicontrol('Style','text','HorizontalAlignment','left','String','Energy distribution Relative to Inlet.','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.03 0.33 0.30 0.10],...
                     'Parent',main.panels(main.dist));
end               
function centerMenuCallback(~,~)
global f g main
i=get(f.centerMenu,'Value');
switch i
    case 1
        try delete(f.BetaStatic); end
        f.UCuStatic=uicontrol('Style','text','String','Energy distribution Relative to Inlet.','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.03 0.33 0.30 0.10],...
                     'Parent',main.panels(main.dist));
    case 2
        try delete(f.UCuStatic); end
        f.BetaStatic=uicontrol('Style','text','String','The derivative of the change in blade angle distribution from inlet to outlet.','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.03 0.33 0.30 0.10],...
                     'Parent',main.panels(main.dist));
end
f.BDist=func_BezierCurve(f.point(:,:,i),f.p);
plotDistribution(g.UpdateCount,i)
end
function UpdateCallback(~,~)
UpdateRadial
end
function GetPoint(~,~)
    global f
    [x,y]=ginput(1);
    i=get(f.centerMenu,'Value');
    ypoint=interp1(f.point(2:end-1,1,i),f.point(2:end-1,2,i),x,'nearest');
    xpoint=interp1(f.point(2:end-1,1,i),f.point(2:end-1,1,i),x,'nearest');
    index=find(f.point(2:end,1,i)==xpoint,1)+1;
    try delete(f.DotPlot); end
    set(gcf,'CurrentAxes',f.changeDist);
    f.DotPlot=plot(f.changeFig,xpoint,ypoint,'marker','s','markersize',5,'markerfacecolor','r');
    set(gcf,'KeyPressFcn',{@figure_keypress,index});
end
function figure_keypress(~,evdt,index)
    global f main
    i=get(f.centerMenu,'Value');
    dx=0; dy=0;
    if uint8(evdt.Character == 30)
        dy=main.dyd;
    elseif uint8(evdt.Character == 31)
        dy=-main.dyd;
    elseif uint8(evdt.Character == 28)
        dx=-main.dxd; 
    elseif uint8(evdt.Character == 29)
        dx=main.dxd;
    end
    f.point(index,2,i)=f.point(index,2,i)+dy;
    f.point(index,1,i)=f.point(index,1,i)+dx;
    f.BDist=func_BezierCurve(f.point(:,:,i), f.p);
    set(gcf,'CurrentAxes',f.changeDist);
    try delete(f.DotPlot);end
    try delete(f.changePlot);end
    try delete(f.PointPlot);end
    hold on
    switch i
        case 1
            f.changePlot=plot(f.BDist(:,1),f.BDist(:,2),'r-+');
        case 2
            f.changePlot=plot(f.BDist(:,1),f.BDist(:,2),'g-.');
    end
    f.PointPlot=plot(f.point(:,1,i),f.point(:,2,i),'marker','s','markersize',5,'markerfacecolor','k','linestyle','none');
    f.DotPlot=plot(f.point(index,1,i),f.point(index,2,i),'marker','s','markersize',5,'markerfacecolor','r');
    plotDistribution(0,i)
end