function MainDim
global k
MakeMainItems           % create all objects appearing on tab "Main Dimensions"
if k.i==0
    HQfunc              % Initializes all items on tab "Main Dimensions"
end
end

function MakeMainItems
    global h main
h.i=0;
h.table_n=zeros(1,15);
h.VelocityAx = axes('Position',[0.03 0.3 0.5 0.6],'Units','normalized','Parent',main.panels(main.md),...
                    'box','on','Xtick',[-1 2],'Ytick',[-1 2]);    
                    
h.HeadEdit=uicontrol('Style', 'edit','Units', 'normalized','position', [0.20 0.95 0.05 0.03],...
                       'Callback', @HeadEditCallback,'Parent',main.panels(main.md),'string','201.5');    
h.HeadStatic=uicontrol('Style', 'text','String', 'Head','FontSize',12,'BackgroundColor',[.8 .8 .8],...
                       'Units', 'normalized','position', [0.15 0.947 0.04 0.03],'Parent',main.panels(main.md));  
h.HeadStaticm=uicontrol('Style', 'text','String', '[m]','FontSize',12,'BackgroundColor',[.8 .8 .8],...
                       'Units', 'normalized','position', [0.25 0.947 0.04 0.03],'Parent',main.panels(main.md)); 
                   
h.FlowEdit=uicontrol('Style', 'edit','Units', 'normalized','position', [0.35 0.95 0.05 0.03],...
                     'Callback', @FlowEditCallback,'Parent',main.panels(main.md),'string','2.35');    
h.FlowStatic=uicontrol('Style', 'text','String', 'Flow','FontSize',12,'BackgroundColor',[.8 .8 .8],...
                       'Units', 'normalized','position', [0.30 0.947 0.04 0.03],'Parent',main.panels(main.md));    
h.FlowStatic=uicontrol('Style', 'text','String', '[m^3/s]','FontSize',12,'BackgroundColor',[.8 .8 .8],...
                       'Units', 'normalized','position', [0.40 0.947 0.04 0.03],'Parent',main.panels(main.md));                    

h.U1redSlider=uicontrol('Style', 'slider', 'Units', 'normalized','Min',0.50,'Max',1.0,'position', [0.71 0.90 0.10 0.03],...
                        'Callback', @U1redSliderCallback,'Parent',main.panels(main.md));
h.U1redEdit=uicontrol('Style', 'edit','Units', 'normalized','position', [0.65 0.90 0.05 0.03],...
                      'Callback', @U1redEditCallback,'Parent',main.panels(main.md));    
h.U1redStatic=uicontrol('Style', 'text','String', 'U_1','FontSize',12,'BackgroundColor',[.8 .8 .8],...
                        'Units', 'normalized','position', [0.60 0.90 0.04 0.03],'Parent',main.panels(main.md)); 

% h.Beta2Slider=uicontrol('Style', 'slider', 'Units', 'normalized','Min',13,'Max',40,'position', [0.71 0.80 0.10 0.03],...
%                        'Callback', @Beta2SliderCallback,'Parent',main.panels(main.md));
h.D2Edit=uicontrol('Style', 'edit','Units', 'normalized','position', [0.65 0.80 0.05 0.03],...
                       'Callback', @D2EditCallback,'Parent',main.panels(main.md));    
h.D2Static=uicontrol('Style', 'text','String', 'D_2','FontSize',12,'BackgroundColor',[.8 .8 .8],...
                       'Units', 'normalized','position', [0.60 0.80 0.04 0.03],'Parent',main.panels(main.md));  
h.D2UnitStatic=uicontrol('Style', 'text','String', '[m]','FontSize',12,'BackgroundColor',[.8 .8 .8],...
                       'Units', 'normalized','position', [0.70 0.80 0.04 0.03],'Parent',main.panels(main.md));  

h.ZpEdit=uicontrol('Style', 'edit','Units', 'normalized','position', [0.65 0.85 0.05 0.03],...
                       'Callback', @ZpEditCallback,'Parent',main.panels(main.md));    
h.ZpStatic=uicontrol('Style', 'text','String', 'Z_p','FontSize',12,'BackgroundColor',[.8 .8 .8],...
                       'Units', 'normalized','position', [0.60 0.85 0.04 0.03],'Parent',main.panels(main.md)); 
h.ZpUnitStatic=uicontrol('Style', 'text','String', '[-]','FontSize',12,'BackgroundColor',[.8 .8 .8],...
                       'Units', 'normalized','position', [0.70 0.85 0.04 0.03],'Parent',main.panels(main.md)); 

h.AccEdit=uicontrol('Style', 'edit','Units', 'normalized','position', [0.65 0.75 0.05 0.03],...
                       'Callback', @AccEditCallback,'Parent',main.panels(main.md));    
h.AccStatic=uicontrol('Style', 'text','String', 'Acceleration','FontSize',12,'BackgroundColor',[.8 .8 .8],...
                       'Units', 'normalized','position', [0.57 0.75 0.07 0.03],'Parent',main.panels(main.md)); 
h.AccUnitStatic=uicontrol('Style', 'text','String', '[%]','FontSize',12,'BackgroundColor',[.8 .8 .8],...
                       'Units', 'normalized','position', [0.70 0.75 0.04 0.03],'Parent',main.panels(main.md)); 

                   
% h.Beta2Slider=uicontrol('Style', 'slider', 'Units', 'normalized','Min',13,'Max',40,'position', [0.71 0.80 0.10 0.03],...
%                        'Callback', @Beta2SliderCallback,'Parent',main.panels(main.md));
% h.Beta2Edit=uicontrol('Style', 'edit','Units', 'normalized','position', [0.65 0.80 0.05 0.03],...
%                        'Callback', @Beta2EditCallback,'Parent',main.panels(main.md));    
% h.Beta2Static=uicontrol('Style', 'text','FontName','symbol','String', 'b_2','FontSize',12,'BackgroundColor',[.8 .8 .8],...
%                        'Units', 'normalized','position', [0.60 0.80 0.04 0.03],'Parent',main.panels(main.md));  
% 
% h.U2Slider=uicontrol('Style', 'slider', 'Units', 'normalized','Min',15,'Max',45,'position', [0.71 0.85 0.10 0.03],...
%                        'Callback', @U2SliderCallback,'Parent',main.panels(main.md));
% h.U2Edit=uicontrol('Style', 'edit','Units', 'normalized','position', [0.65 0.85 0.05 0.03],...
%                        'Callback', @U2EditCallback,'Parent',main.panels(main.md));    
% h.U2Static=uicontrol('Style', 'text','String', 'U_2','FontSize',12,'BackgroundColor',[.8 .8 .8],...
%                        'Units', 'normalized','position', [0.60 0.85 0.04 0.03],'Parent',main.panels(main.md)); 
                   
h.CheckButton=uicontrol('Style', 'pushbutton', 'String', 'Check Values', 'Units','normalized','FontSize', 12,...
                        'position', [0.60 0.65 0.10 0.05],'Callback', @CheckCallback,...
                        'Parent',main.panels(main.md),'enable','off');
h.UpdateButton=uicontrol('Style', 'pushbutton', 'String', 'Update Design', 'Units','normalized','FontSize', 12,...
                        'position', [0.75 0.65 0.10 0.05],'Callback', @UpdateCallback,...
                        'Parent',main.panels(main.md),'enable','off');
h.UserStatic=uicontrol('Style', 'text','HorizontalAlignment','left','String', 'Submit the head and the flow rate of the design case in question. The reduced value of the inlet peripheral speed, the number of pole pairs, the outlet diameter and the rate of acceleration of the flow through the runner has to be chosen. When this is done, press the "Check values" - button. This will execute the plotting of the velocity triangles calculated from the chosen values.','FontSize',12,'BackgroundColor',[.8 .8 .8],...
                       'Units', 'normalized','position', [0.60 0.30 0.27 0.30],'Parent',main.panels(main.md));       
end
function HQfunc
global h main
%emptying the editable boxes of Head and Flow by deleting and reestablishing
try delete (h.HeadEdit);end
h.HeadEdit=uicontrol('Style', 'edit','Units', 'normalized','position', [0.20 0.95 0.05 0.03],...
                       'Callback', @HeadEditCallback,'Parent',main.panels(main.md),'string','201.5');  
try delete (h.FlowEdit);end    
h.FlowEdit=uicontrol('Style', 'edit','Units', 'normalized','position', [0.35 0.95 0.05 0.03],...
                     'Callback', @FlowEditCallback,'Parent',main.panels(main.md),'string','2.35');
                 
% set(h.table1,'data',[nan nan nan nan]');
% set(h.table2,'data',[nan nan nan nan]');
% set(h.table3,'data',[nan nan nan nan]');
initializeMainDim
set(h.CheckButton,'enable','on');
end
function initializeMainDim
global h 
% Initializing values                 
U_1=0.74115;
% beta_2=20;
% U_2=28;
Zp=3;
D2=0.540;
acc=35.3;
set(h.U1redEdit,'String',num2str(U_1));
set(h.U1redSlider,'Value',U_1);

set(h.ZpEdit,'String',num2str(Zp));
set(h.D2Edit,'String',num2str(D2));
set(h.AccEdit,'String',num2str(acc));
% set(h.Beta2Edit,'String',num2str(beta_2));
% set(h.Beta2Slider,'Value',beta_2);
% 
% set(h.U2Edit,'String',num2str(U_2));
% set(h.U2Slider,'Value',U_2);
end
function CheckCallback(~,~)
CheckValues
end
function UpdateCallback(~,~)
UpdateAxial;

end
function HeadEditCallback(~,~)
global h 
set(h.UpdateButton,'enable','off');
set(h.CheckButton,'enable','on');
end
function FlowEditCallback(~,~)
global h 
set(h.UpdateButton,'enable','off');
set(h.CheckButton,'enable','on');
end
function U1redSliderCallback(hobj,~)
global h 
sliderValue = get(h.U1redSlider,'Value');
sliderValue = num2str(sliderValue);
set(h.U1redEdit,'String',sliderValue);
set(h.UpdateButton,'enable','off');
set(h.CheckButton,'enable','on');
guidata(hobj, h);
end
function U1redEditCallback(~,~)
global h
sliderValue = get(h.U1redEdit,'String');
sliderValue = str2double(sliderValue);
%if user input is not a number, or if the input is less than 0
%or greater than 100, then the slider value defaults to 0
if (isempty(sliderValue) || sliderValue < get(h.U1redSlider,'Min') || sliderValue > get(h.U1redSlider,'Max'))
    set(h.U1redSlider,'Value',get(h.U1redSlider,'Min'));
    set(h.U1redEdit,'String',num2str(get(h.U1redSlider,'Min')));
    set(h.UpdateButton,'enable','off');
    set(h.CheckButton,'enable','on');
else
    set(h.U1redSlider,'Value',sliderValue);
    set(h.UpdateButton,'enable','off');
    set(h.CheckButton,'enable','on');
end
end
function D2EditCallback(~,~)
global h 
    set(h.UpdateButton,'enable','off');
    set(h.CheckButton,'enable','on');
end
function ZpEditCallback(~,~)
global h 
    set(h.UpdateButton,'enable','off');
    set(h.CheckButton,'enable','on');
end
function AccEditCallback(~,~)
global h 
    set(h.UpdateButton,'enable','off');
    set(h.CheckButton,'enable','on');
end
function Beta2SliderCallback(hobj,~)
global h 
sliderValue = get(h.Beta2Slider,'Value');
sliderValue = num2str(sliderValue);
set(h.Beta2Edit,'String',sliderValue);
set(h.UpdateButton,'enable','off');
set(h.CheckButton,'enable','on');
guidata(hobj, h);
end
function Beta2EditCallback(~,~)
global h 
sliderValue = get(h.Beta2Edit,'String');
sliderValue = str2double(sliderValue);
%if user input is not a number, or if the input is less than 0
%or greater than 100, then the slider value defaults to 0
if (isempty(sliderValue) || sliderValue < get(h.Beta2Slider,'Min') || sliderValue > get(h.Beta2Slider,'Max'))
    set(h.Beta2Slider,'Value',get(h.Beta2Slider,'Min'));
    set(h.Beta2Edit,'String',num2str(get(h.Beta2Slider,'Min')));
    set(h.UpdateButton,'enable','off');
    set(h.CheckButton,'enable','on');
else
    set(h.Beta2Slider,'Value',sliderValue);
    set(h.UpdateButton,'enable','off');
    set(h.CheckButton,'enable','on');
end
end
function U2SliderCallback(hobj,~)
global h 
sliderValue = get(h.U2Slider,'Value');
sliderValue = num2str(sliderValue);
set(h.U2Edit,'String',sliderValue);
set(h.UpdateButton,'enable','off');
set(h.CheckButton,'enable','on');
guidata(hobj, h);
end
function U2EditCallback(~,~)
global h 
sliderValue = get(h.U2Edit,'String');
sliderValue = str2double(sliderValue);
%if user input is not a number, or if the input is less than 0
%or greater than 100, then the slider value defaults to 0
if (isempty(sliderValue) || sliderValue < get(h.U2Slider,'Min') || sliderValue > get(h.U2Slider,'Max'))
    set(h.U2Slider,'Value',get(h.U2Slider,'Min'));
    set(h.U2Edit,'String',num2str(get(h.U2Slider,'Min')));
    set(h.UpdateButton,'enable','off');
    set(h.CheckButton,'enable','on');
else
    set(h.U2Slider,'Value',sliderValue);
    set(h.UpdateButton,'enable','off');
    set(h.CheckButton,'enable','on');
end
end
