function RadialView
global e main
e.RadialAxes = axes('Position',[0.03 0.5 0.45 0.45],'Units','normalized','Parent',main.panels(main.rv),...
                   'box','on','DataAspectRatio',[1 1 1]);   %,'Xlim',[0 0.45],'Ylim',[-0.05 0.3]

e.RadialFig=gca;               
e.BladeAxes = axes('Position',[0.03 0.03 0.45 0.45],'Units','normalized','Parent',main.panels(main.rv),...
                   'box','on','DataAspectRatio',[1 1 1]);   %,'Xlim',[0 0.45],'Ylim',[-0.05 0.3]
e.BladeFig=gca; 
e.RunnerAxes = axes('Position',[0.50 0.03 0.45 0.45],'Units','normalized','Parent',main.panels(main.rv),...
                   'box','on','DataAspectRatio',[1 1 1]);   %,'Xlim',[0 0.45],'Ylim',[-0.05 0.3]
e.RunnerFig=gca; 
e.NumberofBlades=uicontrol('Style','text','HorizontalAlignment','left','String','Number of Blades required to avoid backflow at the inlet close to the pressure side',...
                     'FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.50 0.9 0.19 0.05],...
                     'Parent',main.panels(main.rv));
e.ChooseNumberofBlades=uicontrol('Style','text','HorizontalAlignment','left','String','Choose Number of Blades',...
                     'FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.50 0.85 0.25 0.05],...
                     'Parent',main.panels(main.rv));                 
e.NoBlades=uicontrol('Style', 'text','FontSize',12,'Units', 'normalized',...
                     'BackgroundColor',[.8 .8 .8],'position', [0.69 0.92 0.05 0.03],...
                     'Parent',main.panels(main.rv));
e.NoBladesEdit=uicontrol('Style', 'edit','FontSize',12,'Units', 'normalized',...
                     'position', [0.69 0.87 0.05 0.03],'String','0',...
                     'Parent',main.panels(main.rv),'Callback',@NoBladesCallback);
e.ThicknessofBlades=uicontrol('Style','text','HorizontalAlignment','left','String','Estimated required inlet thickness of Blade',...
                     'FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.50 0.8 0.19 0.05],...
                     'Parent',main.panels(main.rv));
e.ThicknessBlades=uicontrol('Style', 'text','HorizontalAlignment','left','FontSize',12,'Units', 'normalized',...
                     'BackgroundColor',[.8 .8 .8],'position', [0.69 0.82 0.07 0.03],...
                     'Parent',main.panels(main.rv));
e.ThicknessofBlades2=uicontrol('Style','text','HorizontalAlignment','left','String','Estimated required outlet thickness of Blade',...
                     'FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.50 0.75 0.19 0.05],...
                     'Parent',main.panels(main.rv));
e.ThicknessBlades2=uicontrol('Style', 'text','HorizontalAlignment','left','FontSize',12,'Units', 'normalized',...
                     'BackgroundColor',[.8 .8 .8],'position', [0.69 0.77 0.07 0.03],...
                     'Parent',main.panels(main.rv));                 
e.ColormapofBlades=uicontrol('Style','text','HorizontalAlignment','left','String','Colormap on blades',...
                     'FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.50 0.7 0.19 0.05],...
                     'Parent',main.panels(main.rv));                 
e.ColormapBlades=uicontrol('Style','popupmenu','Units', 'normalized','position', [0.69 0.72 0.13 0.03],...
                         'String',{'Curvature','Relative velocity part load','Relative velocity design load','Number of blades','Erosion tendency'},'Fontsize',10,'Callback',@ColormapBladesCallback,...
                         'Parent',main.panels(main.rv)); 
e.erosionfactor=uicontrol('Style','text','HorizontalAlignment','left','String','Erosion factor',...
                     'FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.50 0.65 0.19 0.05],...
                     'Parent',main.panels(main.rv));
e.erosionfactornumber=uicontrol('Style', 'text','HorizontalAlignment','left','FontSize',12,'Units', 'normalized',...
                     'BackgroundColor',[.8 .8 .8],'position', [0.69 0.67 0.07 0.03],...
                     'Parent',main.panels(main.rv));                  
end

function ColormapBladesCallback(~,~)
global e c
[Point,Line]=size(e.Rmat);
e.erosionarea=erosionarea(e.Xmat,e.Ymat,e.Zmat);
const=1;
e.erosion=e.Wmat.^3*const;
e.erosiontotal=sum(sum(e.erosion.*e.erosionarea))/sum(sum(e.erosionarea));
set(gcf,'CurrentAxes',e.BladeFig);
try delete(e.BladePlot);end 
a=get(e.ColormapBlades,'Value');
switch a
    case 1
    e.BladePlot=surf(e.Xmat,e.Ymat,e.Zmat,e.curv,'FaceColor','interp');
    case 2
    e.BladePlot=surf(e.Xmat,e.Ymat,e.Zmat,e.WmatPL,'FaceColor','interp'); 
    colorbar('location','Eastoutside')
    case 3
    e.BladePlot=surf(e.Xmat,e.Ymat,e.Zmat,e.Wmat,'FaceColor','interp'); 
    colorbar('location','Eastoutside')    
    case 4
    e.BladePlot=surf(e.Xmat,e.Ymat,e.Zmat,e.Z_r,'FaceColor','interp');
    colorbar('location','Eastoutside')
    case 5
    e.BladePlot=surf(e.Xmat,e.Ymat,e.Zmat,e.erosion,'FaceColor','interp');
    colorbar('location','Eastoutside')   
end
% Plotting the runner cascade
set(gcf,'CurrentAxes',e.RunnerFig);
try delete(e.RunnerPlot);end 
e.RunnerPlot=0;
switch a
    case 1
    xvalues=zeros(Line,Point);
    yvalues=xvalues;
    zvalues=xvalues;
    curvvalues=xvalues;
    for n=1:2
    i=0;
    for angle=0:2*pi/e.Z_rc:2*pi
        i=i+1;
        [theta r z]=cart2pol(e.Xmat,e.Ymat,e.Zmat);
        theta=theta+angle;
        [x y z]=pol2cart(theta,r,z);
        for L=1:Line
            for P=1:Point
                xvalues(L,P)=x(P+(L-1)*Point);
                yvalues(L,P)=y(P+(L-1)*Point);
                zvalues(L,P)=z(P+(L-1)*Point);
                curvvalues(L,P)=e.curv(P+(L-1)*Point);
            end
        end
        if n==1
            view([0 90])
            axis equal
            hold on
            
        else
            e.RunnerPlot(i)=surf(xvalues,yvalues,zvalues,curvvalues,'FaceColor','interp');
            axis equal
            hold on
            view([45 35])
        end
    end
    end
    box off
    case 2
    xvalues=zeros(Line,Point);
    yvalues=xvalues;
    zvalues=xvalues;
    WPL=xvalues;
    for n=1:2
    i=0;
    for angle=0:2*pi/e.Z_rc:2*pi
        i=i+1;
        [theta r z]=cart2pol(e.Xmat,e.Ymat,e.Zmat);
        theta=theta+angle;
        [x y z]=pol2cart(theta,r,z);
        for L=1:Line
            for P=1:Point
                xvalues(L,P)=x(P+(L-1)*Point);
                yvalues(L,P)=y(P+(L-1)*Point);
                zvalues(L,P)=z(P+(L-1)*Point);
                WPL(L,P)=e.WmatPL(P+(L-1)*Point);
            end
        end
        if n==1
            view([0 90])
            axis equal
            hold on
            
        else
            e.RunnerPlot(i)=surf(xvalues,yvalues,zvalues,WPL,'FaceColor','interp');
            axis equal
            hold on
            view([45 35])
        end
    end
    end
    box off
    case 3
    xvalues=zeros(Line,Point);
    yvalues=xvalues;
    zvalues=xvalues;
    wvalues=xvalues;
    for n=1:2
    i=0;
    for angle=0:2*pi/e.Z_rc:2*pi
        i=i+1;
        [theta r z]=cart2pol(e.Xmat,e.Ymat,e.Zmat);
        theta=theta+angle;
        [x y z]=pol2cart(theta,r,z);
        for L=1:Line
            for P=1:Point
                xvalues(L,P)=x(P+(L-1)*Point);
                yvalues(L,P)=y(P+(L-1)*Point);
                zvalues(L,P)=z(P+(L-1)*Point);
                wvalues(L,P)=e.Wmat(P+(L-1)*Point);
            end
        end
        if n==1
            view([0 90])
            axis equal
            hold on
            
        else
            e.RunnerPlot(i)=surf(xvalues,yvalues,zvalues,wvalues,'FaceColor','interp');
            axis equal
            hold on
            view([45 35])
        end
    end
    end
    box off
    case 4
    xvalues=zeros(Line,Point);
    yvalues=xvalues;
    zvalues=xvalues;
    Z_r=xvalues;
    for n=1:2
    i=0;
    for angle=0:2*pi/e.Z_rc:2*pi
        i=i+1;
        [theta r z]=cart2pol(e.Xmat,e.Ymat,e.Zmat);
        theta=theta+angle;
        [x y z]=pol2cart(theta,r,z);
        for L=1:Line
            for P=1:Point
                xvalues(L,P)=x(P+(L-1)*Point);
                yvalues(L,P)=y(P+(L-1)*Point);
                zvalues(L,P)=z(P+(L-1)*Point);
                Z_r(L,P)=e.Z_r(P+(L-1)*Point);
            end
        end
        if n==1
            view([0 90])
            axis equal
            hold on
            
        else
            e.RunnerPlot(i)=surf(xvalues,yvalues,zvalues,Z_r,'FaceColor','interp');
            axis equal
            hold on
            view([45 35])
        end
    end
    end
    box off
    case 5
    xvalues=zeros(Line,Point);
    yvalues=xvalues;
    zvalues=xvalues;
    erosion=xvalues;
    for n=1:2
    i=0;
    for angle=0:2*pi/e.Z_rc:2*pi
        i=i+1;
        [theta r z]=cart2pol(e.Xmat,e.Ymat,e.Zmat);
        theta=theta+angle;
        [x y z]=pol2cart(theta,r,z);
        for L=1:Line
            for P=1:Point
                xvalues(L,P)=x(P+(L-1)*Point);
                yvalues(L,P)=y(P+(L-1)*Point);
                zvalues(L,P)=z(P+(L-1)*Point);
                erosion(L,P)=e.erosion(P+(L-1)*Point);
            end
        end
        if n==1
            view([0 90])
            axis equal
            hold on
            
        else
            e.RunnerPlot(i)=surf(xvalues,yvalues,zvalues,erosion,'FaceColor','interp');
            axis equal
            hold on
            view([45 35])
        end
    end
    end
    box off
end
end
function NoBladesCallback(~,~)
global c d e h g s
e.Z_rc=str2double(get(e.NoBladesEdit,'String'));
% Plotting the runner cascade
set(gcf,'CurrentAxes',e.RunnerFig);
try delete(e.RunnerPlot);end 
e.RunnerPlot=0;
a=get(e.ColormapBlades,'Value');
% Plotting the runner cascade
[Point,Line]=size(e.Rmat);
switch a
    case 1
    xvalues=zeros(Line,Point);
    yvalues=xvalues;
    zvalues=xvalues;
    curvvalues=xvalues;
    for n=1:2
    i=0;
    for angle=0:2*pi/e.Z_rc:2*pi
        i=i+1;
        [theta r z]=cart2pol(e.Xmat,e.Ymat,e.Zmat);
        theta=theta+angle;
        [x y z]=pol2cart(theta,r,z);
        for L=1:Line
            for P=1:Point
                xvalues(L,P)=x(P+(L-1)*Point);
                yvalues(L,P)=y(P+(L-1)*Point);
                zvalues(L,P)=z(P+(L-1)*Point);
                curvvalues(L,P)=e.curv(P+(L-1)*Point);
            end
        end
        if n==1
            view([0 90])
            axis equal
            hold on
            
        else
            e.RunnerPlot(i)=surf(xvalues,yvalues,zvalues,curvvalues,'FaceColor','interp');
            axis equal
            hold on
            view([45 35])
        end
    end
    end
    box off
    case 2
    xvalues=zeros(Line,Point);
    yvalues=xvalues;
    zvalues=xvalues;
    WPL=xvalues;
    for n=1:2
    i=0;
    for angle=0:2*pi/e.Z_rc:2*pi
        i=i+1;
        [theta r z]=cart2pol(e.Xmat,e.Ymat,e.Zmat);
        theta=theta+angle;
        [x y z]=pol2cart(theta,r,z);
        for L=1:Line
            for P=1:Point
                xvalues(L,P)=x(P+(L-1)*Point);
                yvalues(L,P)=y(P+(L-1)*Point);
                zvalues(L,P)=z(P+(L-1)*Point);
                WPL(L,P)=e.WmatPL(P+(L-1)*Point);
            end
        end
        if n==1
            view([0 90])
            axis equal
            hold on
            
        else
            e.RunnerPlot(i)=surf(xvalues,yvalues,zvalues,WPL,'FaceColor','interp');
            axis equal
            hold on
            view([45 35])
        end
    end
    end
    box off
    case 3
    xvalues=zeros(Line,Point);
    yvalues=xvalues;
    zvalues=xvalues;
    wvalues=xvalues;
    for n=1:2
    i=0;
    for angle=0:2*pi/e.Z_rc:2*pi
        i=i+1;
        [theta r z]=cart2pol(e.Xmat,e.Ymat,e.Zmat);
        theta=theta+angle;
        [x y z]=pol2cart(theta,r,z);
        for L=1:Line
            for P=1:Point
                xvalues(L,P)=x(P+(L-1)*Point);
                yvalues(L,P)=y(P+(L-1)*Point);
                zvalues(L,P)=z(P+(L-1)*Point);
                wvalues(L,P)=e.Wmat(P+(L-1)*Point);
            end
        end
        if n==1
            view([0 90])
            axis equal
            hold on
            
        else
            e.RunnerPlot(i)=surf(xvalues,yvalues,zvalues,wvalues,'FaceColor','interp');
            axis equal
            hold on
            view([45 35])
        end
    end
    end
    box off
    case 4
    xvalues=zeros(Line,Point);
    yvalues=xvalues;
    zvalues=xvalues;
    Z_r=xvalues;
    for n=1:2
    i=0;
    for angle=0:2*pi/e.Z_rc:2*pi
        i=i+1;
        [theta r z]=cart2pol(e.Xmat,e.Ymat,e.Zmat);
        theta=theta+angle;
        [x y z]=pol2cart(theta,r,z);
        for L=1:Line
            for P=1:Point
                xvalues(L,P)=x(P+(L-1)*Point);
                yvalues(L,P)=y(P+(L-1)*Point);
                zvalues(L,P)=z(P+(L-1)*Point);
                Z_r(L,P)=e.Z_r(P+(L-1)*Point);
            end
        end
        if n==1
            view([0 90])
            axis equal
            hold on
            
        else
            e.RunnerPlot(i)=surf(xvalues,yvalues,zvalues,Z_r,'FaceColor','interp');
            axis equal
            hold on
            view([45 35])
        end
    end
    end
    box off
    case 5
    xvalues=zeros(Line,Point);
    yvalues=xvalues;
    zvalues=xvalues;
    Erosion=xvalues;
    for n=1:2
    i=0;
    for angle=0:2*pi/e.Z_rc:2*pi
        i=i+1;
        [theta r z]=cart2pol(e.Xmat,e.Ymat,e.Zmat);
        theta=theta+angle;
        [x y z]=pol2cart(theta,r,z);
        for L=1:Line
            for P=1:Point
                xvalues(L,P)=x(P+(L-1)*Point);
                yvalues(L,P)=y(P+(L-1)*Point);
                zvalues(L,P)=z(P+(L-1)*Point);
                Erosion(L,P)=e.erosion(P+(L-1)*Point);
            end
        end
        if n==1
            view([0 90])
            axis equal
            hold on
            
        else
            e.RunnerPlot(i)=surf(xvalues,yvalues,zvalues,Erosion,'FaceColor','interp');
            axis equal
            hold on
            view([45 35])
        end
    end
    end
    box off
end

% calculating required thickness of blade. Assuming torque transfer to end
% when 50 % of the energy is transfered.

e.b=e.B_1;
e.a=1.5*e.b;
e.R_t=e.Rmat(1,1)-e.a;
e.R_m=(e.Rmat(1,1)+e.R_t)/2;


e.deltap=e.power/(e.Z_rc*e.a*e.b*e.R_m*e.omega);
sigmamax=100*10^6; %Pa

% brekke relation for runner inlet thickness
% e.tmax=sqrt(2*e.b^2*e.deltap/sigmamax)*1000; %[mm] 

% kvaerner relations for runner blade inlet and outlet thickness
% e.tmax=5.7*(0.5+0.96*h.speedNr)*sqrt((((h.power/1000)/(g.H^1.5)*g.H)/((1+4.7*h.speedNr)*e.Z_rc)));
% e.tout=0.72*h.speedNr^(1/3)*sqrt((h.power/1000)/(g.H^1.5)*g.H)/sqrt(e.Z_rc);

% fixed runner inlet oand outlet thickness according to Ole Gunnar
e.tmax=15; %set inlet thickness to 15mm until we know values for Jhimruk
e.tout=8; %set outlet thickness to 8 mm
set(e.ThicknessBlades,'String',[num2str(e.tmax) ' mm']);
set(e.ThicknessBlades2,'String',[num2str(e.tout) ' mm']);
set(gcf,'CurrentAxes',d.gvFig);
hold on
i=0;
try delete (d.runnerplot); end
d.runnerplot=0;
for angle=0:2*pi/e.Z_rc:2*pi
        i=i+1;
        [theta r]=cart2pol(e.Xmat(:,round(Line/2)),e.Ymat(:,round(Line/2)));        % runner middle contour 
%         [theta r]=cart2pol(e.Xmat(:,end),e.Ymat(:,end));  % runner hub contour 
%         [theta r]=cart2pol(e.Xmat(:,1),e.Ymat(:,1));        % runner shroud contour 
        theta=theta+angle;
        [x y]=pol2cart(theta,r);
        d.runnerplot(i)=plot(x,y,'k');
%             axis equal
            

end
set(gcf,'CurrentAxes',c.BladeFig);
plotthickness(e.tmax/1000,e.tout/1000,e.Xmat,e.Ymat,e.Zmat,Point,Line);
try delete(s.Blades); end
s.Blades=uicontrol('Style','text','FontName','Symbol','String',get(e.NoBladesEdit,'string'),'FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.40 0.436 0.3 0.142],'HorizontalAlignment','left',...
                     'Parent',s.dimensionspanel);
calcGV
end