function Starter
MakeStarter
end
function MakeStarter
global k main
k.new=uicontrol('Style', 'pushbutton', 'String', 'New Project', 'Units','normalized','FontSize', 12,...
               'position', [0.20 0.70 0.10 0.05],'Callback', @NewCallback,...
               'Parent',main.panels(main.intro),'enable','on');
k.load=uicontrol('Style', 'pushbutton', 'String', 'Load Project', 'Units','normalized','FontSize', 12,...
               'position', [0.20 0.60 0.10 0.05],'Callback', @LoadCallback,...
               'Parent',main.panels(main.intro),'enable','on');
k.compare=uicontrol('Style', 'pushbutton', 'String', 'Compare with CFX', 'Units','normalized','FontSize', 12,...
               'position', [0.20 0.50 0.10 0.05],'Callback', @CompareCallback,...
               'Parent',main.panels(main.intro),'enable','on');
end
function NewCallback(~,~)
global k
k.i=0;
MainDim
AxialView
Distributions
RadialView
bladethickness
labyrinth
guidevanes
Summary
end
function LoadCallback(~,~)
global k h g f e d
k.i=1;
uiopen
MainDim
h.i=1;      % for the CheckCallback
set(h.HeadEdit,'String',H);
set(h.FlowEdit,'String',Q);
set(h.U1redEdit,'String',num2str(U1red));
set(h.U1redSlider,'Value',U1red);

set(h.ZpEdit,'String',num2str(Zp));

set(h.D2Edit,'String',num2str(D2));
set(h.AccEdit,'String',num2str(acc));

CheckValues
AxialView
g.shroud=shroudpointvect;
g.outlet=outletpointvect;
maxns=50; minns=3;

set(g.nsEdit,'String',num2str(streamlines));
set(g.nsSlider,'Value',streamlines,'Max',maxns,'Min',minns,'SliderStep',[1/(maxns-minns) 1/(maxns-minns)]);

set(g.bEdit,'String',num2str(b));
UpdateAxial
Distributions
f.point=distpointvect;
set(f.centerMenu,'Value',chosendist);
UpdateDistribution(1)
RadialView
bladethickness
guidevanes
labyrinth
Summary
set(e.NoBladesEdit,'String',Z_rc);
UpdateRadial
set(d.ZgvEdit,'string',num2str(Z_gv))
set(d.DgvaxEdit,'string',num2str(D_gvax))
set(d.t_svEdit,'string',num2str(t_sv))
set(d.Z_scEdit,'string',num2str(Z_sc))
% k.i=0;
end
function CompareCallback(~,~)
global k h g f e d main
set(k.compare,'Enable','off')
set(k.load,'Enable','off')
set(k.new,'Enable','off')
k.i=1;
uiopen
MainDim
h.i=1;      % for the CheckCallback
set(h.HeadEdit,'String',H);
set(h.FlowEdit,'String',Q);
set(h.U1redEdit,'String',num2str(U1red));
set(h.U1redSlider,'Value',U1red);

set(h.ZpEdit,'String',num2str(Zp));

set(h.D2Edit,'String',num2str(D2));
set(h.AccEdit,'String',num2str(acc));

CheckValues
AxialView
g.shroud=shroudpointvect;
g.outlet=outletpointvect;
maxns=50; minns=3;

set(g.nsEdit,'String',num2str(streamlines));
set(g.nsSlider,'Value',streamlines,'Max',maxns,'Min',minns,'SliderStep',[1/(maxns-minns) 1/(maxns-minns)]);

set(g.bEdit,'String',num2str(b));
UpdateAxial
Distributions
f.point=distpointvect;
set(f.centerMenu,'Value',chosendist);
UpdateDistribution(1)
RadialView
bladethickness
guidevanes
labyrinth
Summary
set(e.NoBladesEdit,'String',Z_rc);
UpdateRadial
set(d.ZgvEdit,'string',num2str(Z_gv))
set(d.DgvaxEdit,'string',num2str(D_gvax))
set(d.t_svEdit,'string',num2str(t_sv))
set(d.Z_scEdit,'string',num2str(Z_sc))
k.i=0;
k.comparepanel = uipanel('Parent',main.panels(main.intro),'Title','Velocity components','FontSize',12,...
              'BackgroundColor',[.8 .8 .8],'Position',[.35 .03 .5 .5]);
k.DRef=uicontrol('Style', 'Text', 'String', 'Reference diameter from CFX', 'Units','normalized','FontSize', 12,...
               'position', [0.05 0.9 0.3 0.05],'BackgroundColor',[.8 .8 .8],...
               'Parent',k.comparepanel);
k.DRefUnit=uicontrol('Style', 'Text', 'String', '[m]', 'Units','normalized','FontSize', 12,...
               'position', [0.36 0.9 0.3 0.05],'BackgroundColor',[.8 .8 .8],...
               'Parent',k.comparepanel);           
k.DRefEdit=uicontrol('Style', 'Edit', 'String', num2str(e.Rmat(end,1)*2-0.01), 'Units','normalized','FontSize', 12,...
               'position', [0.35 0.9 0.10 0.05],'Callback', @DRefCallback,...
               'Parent',k.comparepanel);
end
function DRefCallback(~,~)
global e f main k
Dref=str2double(get(k.DRefEdit,'String'));
Rref=Dref/2;
i=1;
while Rref<e.Rmat(end,i)
    i=i+1;
end
%linear interpolation between different radiuses
R_interpconst=(Rref-e.Rmat(end,(i+1)))/(e.Rmat(end,(i+1)-1)-e.Rmat(end,(i+1)));
U=f.Umat(end,(i+1))+(f.Umat(end,(i+1)-1)-f.Umat(end,(i+1)))*R_interpconst;
Cm=e.c_mMat(end,(i+1))+(e.c_mMat(end,(i+1)-1)-e.c_mMat(end,(i+1)))*R_interpconst;
Cu=f.Cumat(end,(i+1))+(f.Cumat(end,(i+1)-1)-f.Cumat(end,(i+1)))*R_interpconst;
C=e.cMat(end,(i+1))+(e.cMat(end,(i+1)-1)-e.cMat(end,(i+1)))*R_interpconst;
W=e.Wmat(end,(i+1))+(e.Wmat(end,(i+1)-1)-e.Wmat(end,(i+1)))*R_interpconst;
Wu=U-Cu;
try delete(k.CompareTable); end
k.CompareTable=uitable('Parent',k.comparepanel,'Units', 'normalized','position', [.35 .45 .2 .35],'FontSize',11,'ColumnName',[],...
                     'RowName',[{'U [m/s]'} {'Cm [m/s]'} {'Cu [m/s]'} {'C [m/s]'} {'Wu [m/s]'} {'W [m/s]'}]);
set(k.CompareTable,'Data',[U Cm Cu C Wu W]');

end
