function Summary
global s main
s.velocitiespanel = uipanel('Parent',main.panels(main.sum),'Title','Velocity components','FontSize',12,...
              'BackgroundColor',[.8 .8 .8],'Position',[.02 .68 .3 .3]);
s.parameterspanel = uipanel('Parent',main.panels(main.sum),'Title','Characteristic parameters','FontSize',12,...
              'BackgroundColor',[.8 .8 .8],'Position',[.02 .30 .3 .35]);
s.dimensionspanel = uipanel('Parent',main.panels(main.sum),'Title','Turbine dimensions','FontSize',12,...
              'BackgroundColor',[.8 .8 .8],'Position',[.02 .03 .3 .25]);          

% Static texts for Velocity components
s.U1static=uicontrol('Style','text','String','U_1','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.05 0.91 0.3 0.09],'HorizontalAlignment','left',...
                     'Parent',s.velocitiespanel);
s.U1redstatic=uicontrol('Style','text','String','U_1 reduced','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.05 0.82 0.3 0.09],'HorizontalAlignment','left',...
                     'Parent',s.velocitiespanel); 
s.C1static=uicontrol('Style','text','String','C_1','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.05 0.73 0.3 0.09],'HorizontalAlignment','left',...
                     'Parent',s.velocitiespanel);
s.Cu1static=uicontrol('Style','text','String','C_u1','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.05 0.64 0.3 0.09],'HorizontalAlignment','left',...
                     'Parent',s.velocitiespanel);
s.Cm1static=uicontrol('Style','text','String','C_m1','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.05 0.55 0.3 0.09],'HorizontalAlignment','left',...
                     'Parent',s.velocitiespanel);
s.W1static=uicontrol('Style','text','String','W_1','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.05 0.46 0.3 0.09],'HorizontalAlignment','left',...
                     'Parent',s.velocitiespanel); 
s.U2static=uicontrol('Style','text','String','U_2','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.05 0.28 0.3 0.09],'HorizontalAlignment','left',...
                     'Parent',s.velocitiespanel);  
s.Cm2static=uicontrol('Style','text','String','C_m2','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.05 0.19 0.3 0.09],'HorizontalAlignment','left',...
                     'Parent',s.velocitiespanel);  
s.W2static=uicontrol('Style','text','String','W_2','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.05 0.1 0.3 0.09],'HorizontalAlignment','left',...
                     'Parent',s.velocitiespanel);  
s.Beta2static=uicontrol('Style','text','FontName','Symbol','String','b_2','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.05 0.001 0.3 0.09],'HorizontalAlignment','left',...
                     'Parent',s.velocitiespanel);

s.U1static=uicontrol('Style','text','String','[m/s]','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.7 0.91 0.3 0.09],'HorizontalAlignment','left',...
                     'Parent',s.velocitiespanel);
s.U1redstatic=uicontrol('Style','text','String','[-]','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.7 0.82 0.3 0.09],'HorizontalAlignment','left',...
                     'Parent',s.velocitiespanel); 
s.C1static=uicontrol('Style','text','String','[m/s]','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.7 0.73 0.3 0.09],'HorizontalAlignment','left',...
                     'Parent',s.velocitiespanel);
s.Cu1static=uicontrol('Style','text','String','[m/s]','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.7 0.64 0.3 0.09],'HorizontalAlignment','left',...
                     'Parent',s.velocitiespanel);
s.Cm1static=uicontrol('Style','text','String','[m/s]','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.7 0.55 0.3 0.09],'HorizontalAlignment','left',...
                     'Parent',s.velocitiespanel);
s.W1static=uicontrol('Style','text','String','[m/s]','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.7 0.46 0.3 0.09],'HorizontalAlignment','left',...
                     'Parent',s.velocitiespanel); 
s.U2static=uicontrol('Style','text','String','[m/s]','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.7 0.28 0.3 0.09],'HorizontalAlignment','left',...
                     'Parent',s.velocitiespanel);  
s.Cm2static=uicontrol('Style','text','String','[m/s]','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.7 0.19 0.3 0.09],'HorizontalAlignment','left',...
                     'Parent',s.velocitiespanel);  
s.W2static=uicontrol('Style','text','String','[m/s]','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.7 0.1 0.3 0.09],'HorizontalAlignment','left',...
                     'Parent',s.velocitiespanel);  
s.Beta2static=uicontrol('Style','text','String','[o]','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.7 0.001 0.3 0.09],'HorizontalAlignment','left',...
                     'Parent',s.velocitiespanel);                 
% Static texts for Characteristicl parameters
s.Headstatic=uicontrol('Style','text','String','Head','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.05 0.9 0.3 0.1],'HorizontalAlignment','left',...
                     'Parent',s.parameterspanel);
s.Flowstatic=uicontrol('Style','text','String','Flow rate','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.05 0.8 0.3 0.1],'HorizontalAlignment','left',...
                     'Parent',s.parameterspanel); 
s.Submergestatic=uicontrol('Style','text','String','H_s','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.05 0.7 0.3 0.1],'HorizontalAlignment','left',...
                     'Parent',s.parameterspanel);
s.Speednumberstatic=uicontrol('Style','text','String','Speed number','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.05 0.6 0.3 0.1],'HorizontalAlignment','left',...
                     'Parent',s.parameterspanel);
s.rotspeedstatic=uicontrol('Style','text','String','Rotational speed','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.05 0.5 0.3 0.1],'HorizontalAlignment','left',...
                     'Parent',s.parameterspanel);
s.angspeedstatic=uicontrol('Style','text','String','Angular speed','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.05 0.4 0.3 0.1],'HorizontalAlignment','left',...
                     'Parent',s.parameterspanel); 
s.Reactionstatic=uicontrol('Style','text','String','Reaction ratio','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.05 0.3 0.3 0.1],'HorizontalAlignment','left',...
                     'Parent',s.parameterspanel);
s.Erosiontenstatic=uicontrol('Style','text','String','Erosion tendency','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.05 0.2 0.3 0.1],'HorizontalAlignment','left',...
                     'Parent',s.parameterspanel); 
s.Erosionrefstatic=uicontrol('Style','text','String','Erosion reference','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.05 0.1 0.3 0.1],'HorizontalAlignment','left',...
                     'Parent',s.parameterspanel); 
s.Erosionfacstatic=uicontrol('Style','text','String','Erosion factor','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.05 0.001 0.3 0.1],'HorizontalAlignment','left',...
                     'Parent',s.parameterspanel); 
                 
s.Headstatic=uicontrol('Style','text','String','[m]','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.7 0.9 0.3 0.1],'HorizontalAlignment','left',...
                     'Parent',s.parameterspanel);
s.Flowstatic=uicontrol('Style','text','String','[m/s^3]','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.7 0.8 0.3 0.1],'HorizontalAlignment','left',...
                     'Parent',s.parameterspanel); 
s.Submergestatic=uicontrol('Style','text','String','[mWc]','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.7 0.7 0.3 0.1],'HorizontalAlignment','left',...
                     'Parent',s.parameterspanel);
s.Speednumberstatic=uicontrol('Style','text','String','[-]','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.7 0.6 0.3 0.1],'HorizontalAlignment','left',...
                     'Parent',s.parameterspanel);
s.rotspeedstatic=uicontrol('Style','text','String','[rpm]','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.7 0.5 0.3 0.1],'HorizontalAlignment','left',...
                     'Parent',s.parameterspanel);
s.angspeedstatic=uicontrol('Style','text','String','[rad/s]','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.7 0.4 0.3 0.1],'HorizontalAlignment','left',...
                     'Parent',s.parameterspanel); 
s.Reactionstatic=uicontrol('Style','text','String','[-]','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.7 0.3 0.3 0.1],'HorizontalAlignment','left',...
                     'Parent',s.parameterspanel);
s.Erosiontenstatic=uicontrol('Style','text','String','[-]','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.7 0.2 0.3 0.1],'HorizontalAlignment','left',...
                     'Parent',s.parameterspanel); 
s.Erosionrefstatic=uicontrol('Style','text','String','[-]','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.7 0.1 0.3 0.1],'HorizontalAlignment','left',...
                     'Parent',s.parameterspanel); 
s.Erosionfacstatic=uicontrol('Style','text','String','[-]','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.7 0.001 0.3 0.1],'HorizontalAlignment','left',...
                     'Parent',s.parameterspanel);
                 
% Static texts for Turbine dimensions
s.D1static=uicontrol('Style','text','String','D_1','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.05 0.8621 0.3 0.142],'HorizontalAlignment','left',...
                     'Parent',s.dimensionspanel);
s.D2static=uicontrol('Style','text','String','D_2','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.05 0.72 0.3 0.142],'HorizontalAlignment','left',...
                     'Parent',s.dimensionspanel); 
s.B1static=uicontrol('Style','text','String','B_1','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.05 0.578 0.3 0.142],'HorizontalAlignment','left',...
                     'Parent',s.dimensionspanel);
s.Bladesstatic=uicontrol('Style','text','String','Number of blades','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.05 0.436 0.3 0.142],'HorizontalAlignment','left',...
                     'Parent',s.dimensionspanel);
s.Heightstatic=uicontrol('Style','text','String','Turbine height','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.05 0.294 0.3 0.142],'HorizontalAlignment','left',...
                     'Parent',s.dimensionspanel);
s.Dshaftstatic=uicontrol('Style','text','String','D_shaft','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.05 0.152 0.3 0.142],'HorizontalAlignment','left',...
                     'Parent',s.dimensionspanel);
s.Dlabyrinthstatic=uicontrol('Style','text','String','D_labyrinth','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.05 0.01 0.3 0.142],'HorizontalAlignment','left',...
                     'Parent',s.dimensionspanel);
                 
s.D1static=uicontrol('Style','text','String','[m]','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.7 0.8621 0.3 0.142],'HorizontalAlignment','left',...
                     'Parent',s.dimensionspanel);
s.D2static=uicontrol('Style','text','String','[m]','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.7 0.72 0.3 0.142],'HorizontalAlignment','left',...
                     'Parent',s.dimensionspanel); 
s.B1static=uicontrol('Style','text','String','[m]','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.7 0.578 0.3 0.142],'HorizontalAlignment','left',...
                     'Parent',s.dimensionspanel);
s.Bladesstatic=uicontrol('Style','text','String','[-]','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.7 0.436 0.3 0.142],'HorizontalAlignment','left',...
                     'Parent',s.dimensionspanel);
s.Heightstatic=uicontrol('Style','text','String','[m]','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.7 0.294 0.3 0.142],'HorizontalAlignment','left',...
                     'Parent',s.dimensionspanel);
s.Dshaftstatic=uicontrol('Style','text','String','[m]','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.7 0.152 0.3 0.142],'HorizontalAlignment','left',...
                     'Parent',s.dimensionspanel);
s.Dlabyrinthstatic=uicontrol('Style','text','String','[m]','FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.7 0.01 0.3 0.142],'HorizontalAlignment','left',...
                     'Parent',s.dimensionspanel);  
s.SaveButton=uicontrol('Style', 'pushbutton', 'String', 'Save Design', 'Units', 'normalized','FontSize', 12,...
                        'position', [0.65 0.45 0.10 0.05],'Callback', @SaveCallback,...
                        'Parent',main.panels(main.sum),'enable','on'); 
s.ExportButton=uicontrol('Style', 'pushbutton', 'String', 'Export Design', 'Units', 'normalized','FontSize', 12,...
                        'position', [0.80 0.45 0.10 0.05],'Callback', @ExportCallback,...
                        'Parent',main.panels(main.sum),'enable','on');                     
                 
end
function ExportCallback(~,~)
global c e g s f l d

d_gapsv_gv=(d.D_svout-d.D_gvin)/2;
d_gapgv_rv=(d.D_gvout-e.D_1)/2;
%% Velocity conponents
c_usvin=d.c_usv(end);
c_uRt=c_usvin*d.R_svin/d.Rtvect(1);
c_msvin=d.c_msv(end);
c_mRt=c_msvin*(d.R_svin/d.Rtvect(1))^2;
c_Rt=sqrt(c_mRt^2+c_uRt^2);
c_thetaRt=-c_uRt/c_Rt;
c_rRt=c_mRt/c_Rt;

%% blades
bladeX=c.bladeX;
bladeY=c.bladeY;
bladeZ=c.bladeZ;

hubX=[g.HubXmat(1,1)+d_gapgv_rv/2;g.HubXmat(1:end-1,1);g.HubXmat(end-1,1);g.HubXmat(end-1,1);g.HubXmat(end-1,1);g.HubXmat(end-1,1);g.HubXmat(end-1,1);g.HubXmat(end-1,1);g.HubXmat(end-1,1)];
hubY=[0;g.HubYmat;0.0;0.0;0.0;0;0.0;0.0];
Ldraft=e.Zmat(1,1)-e.Zmat(end,1);
hubZ=[g.HubZmat(1,1);g.HubZmat; e.Zmat(end,1)-1*Ldraft/2; e.Zmat(end,1)-2*Ldraft/2; e.Zmat(end,1)-3*Ldraft/2; e.Zmat(end,1)-4*Ldraft/2; e.Zmat(end,1)-5*Ldraft/2; e.Zmat(end,1)-6*Ldraft/2];
shroudX=[g.ShroudXmat(1,1)+d_gapgv_rv/2;g.ShroudXmat;g.ShroudXmat(end,1);g.ShroudXmat(end,1);g.ShroudXmat(end,1);g.ShroudXmat(end,1);g.ShroudXmat(end,1);g.ShroudXmat(end,1)];
shroudY=[0;g.ShroudYmat;0;0;0;0;0;0];
shroudZ=[g.ShroudZmat(1,1);g.ShroudZmat;e.Zmat(end,1)-1*Ldraft/2;e.Zmat(end,1)-2*Ldraft/2;e.Zmat(end,1)-3*Ldraft/2;e.Zmat(end,1)-4*Ldraft/2;e.Zmat(end,1)-5*Ldraft/2;e.Zmat(end,1)-6*Ldraft/2];
%% Velocity conponents at runner inlet
c_mrin=f.c_m1*((f.D_1/2)/shroudX(1,1))^2;
c_urin=f.c_u1*(f.D_1/2)/shroudX(1,1);
c_rin=sqrt(c_urin^2+c_mrin^2);
%% Guide vanes
gvX=d.Gvx;
gvY=d.Gvy;

gvhubX=ones(10,1);
gvhubX(1,1)=d.D_gvin/2+d_gapsv_gv/2;
gvhubX(end,1)=d.D_gvout/2-d_gapgv_rv/2;
drgv=(gvhubX(1,1)-gvhubX(end,1))/9;
for i=2:9
    gvhubX(i,1)=gvhubX(1,1)-drgv*(i-1);
end
gvhubY=zeros(10,1);
gvhubZ=ones(10,1).*(hubZ(1)+0.001/2);
gvhubZ(10,1)=hubZ(1);

gvshroudX(:,1)=gvhubX(:,1);
gvshroudY=zeros(10,1);
gvshroudZ=ones(10,1).*(shroudZ(1)-0.001/2);
gvshroudZ(10,1)=shroudZ(1);
%% Velocity conponents at guide vanes inlet
c_mgin=d.c_mgvin*((d.D_gvin/2)/gvshroudX(1,1))^2;
c_ugin=d.c_ugvin*(d.D_gvin/2)/gvshroudX(1,1);
c_gin=sqrt(c_ugin^2+c_mgin^2);
%% stay vanes
svX=d.stayvaneX;
svY=d.stayvaneY;
svZ=d.stayvaneZ;

% Choose inlet of stay vanes 1/5 of distance between Rtvect(1) and R_svin
% from R_svin. Choose z=x^2 for hub and shroud lines from R_svin to inlet
% radius. 

Rt=d.Rtvect(1);
R_svin=d.R_svin;
x=(Rt-R_svin)/5;
hubXsv=zeros(5,1);
hubYsv=hubXsv;
hubZsv=hubXsv;
j=0;
for i=x/5:x/5:x
    j=j+1;
    hubXsv(j,1)=R_svin+i;
    hubYsv(j,1)=0;
    hubZsv(j,1)=(hubZ(1)+0.001/2)+(3*i)^2;
end
svhubXtemp(1,1)= R_svin;
svhubXtemp(10,1)=d.D_svout/2-d_gapsv_gv/2;
drsv=(svhubXtemp(1,1)-svhubXtemp(10,1))/9;
for i=2:9
    svhubXtemp(i,1)=svhubXtemp(1,1)-drsv*(i-1);
end
svhubYtemp=zeros(size(svhubXtemp));
svhubZtemp=gvhubZ;

svhubX=[hubXsv(end:-1:1,1); svhubXtemp];
svhubY=[hubYsv(end:-1:1,1); svhubYtemp];
svhubZ=[hubZsv(end:-1:1,1); svhubZtemp];

shroudXsv=zeros(5,1);
shroudYsv=shroudXsv;
shroudZsv=shroudXsv;
j=0;
for i=x/5:x/5:x
    j=j+1;
    shroudXsv(j,1)=R_svin+i;
    shroudYsv(j,1)=0;
    shroudZsv(j,1)=(shroudZ(1)-0.001/2)-(3*i)^2;
end
svshroudXtemp(:,1)=svhubXtemp(:,1);
svshroudYtemp=zeros(10,1);
svshroudZtemp=ones(10,1).*(shroudZ(1)-0.001/2);

svshroudX=[shroudXsv(end:-1:1,1); svshroudXtemp];
svshroudY=[shroudYsv(end:-1:1,1); svshroudYtemp];
svshroudZ=[shroudZsv(end:-1:1,1); svshroudZtemp];
d.svhubX=svhubX;
d.svhubY=svhubY;
d.svhubZ=svhubZ;
d.svshroudX=svshroudX;
d.svshroudY=svshroudY;
d.svshroudZ=svshroudZ;
Bin=hubZsv(end,1)-shroudZsv(end,1);
Ain=pi*svshroudX(1,1)*Bin;
%% Velocity conponents at stay vanes inlet
c_msin=c_msvin*(d.R_svin/svshroudX(1,1))^2;
c_usin=c_usvin*d.R_svin/svshroudX(1,1);
c_sin=sqrt(c_usin^2+c_msin^2);
%% Writing to files
[~,Line]=size(bladeX);
name=s.name;
Oldfolder=cd;

cd('Exported designs');
mkdir(name);
cd(name);

%% Txt-files for Pro-E.
% hub.txt
casename='hub';
fid=fopen([casename '.txt'],'w');
fprintf(fid,'%f %f %f \r\n',[1000.*hubX';1000.*hubY';1000.*hubZ']);
fclose(fid);

% shroud.txt
casename='shroud';
fid=fopen([casename '.txt'],'w');
fprintf(fid,'%f %f %f \r\n',[1000.*shroudX';1000.*shroudY';1000.*shroudZ']);
fclose(fid);

% bladeps.txt
casename='bladeps';
profiles=round(Line/10);
fid=fopen([casename '.txt'],'w');
j=0;
for i=1:profiles:Line
    j=j+1;
   fprintf(fid,'%s \r\n',['# Profile no. ' int2str(j)]);
   fprintf(fid,'%f %f %f \r\n',[1000.*c.Xlines(:,end+1-i,1)';1000.*c.Ylines(:,end+1-i,1)';1000.*c.Zlines(:,end+1-i,1)']);
end
fclose(fid);

% bladess.txt
casename='bladess';
profiles=round(Line/10);
fid=fopen([casename '.txt'],'w');
j=0;
for i=1:profiles:Line
    j=j+1;
   fprintf(fid,'%s \r\n',['# Profile no. ' int2str(j)]);
   fprintf(fid,'%f %f %f \r\n',[1000.*c.Xlines(:,end+1-i,2)';1000.*c.Ylines(:,end+1-i,2)';1000.*c.Zlines(:,end+1-i,2)']);
end
fclose(fid);

% guidevane.txt
casename='guidevane';
fid=fopen([casename '.txt'],'w');
fprintf(fid,'%f %f \r\n',[1000.*gvX';1000.*gvY']);
fclose(fid);

% stayvane.txt
casename='stayvane';
fid=fopen([casename '.txt'],'w');
fprintf(fid,'%f %f \r\n',[1000.*d.xsvproE;1000.*d.ysvproE]);
fclose(fid);

% spiralcasing.txt
casename='spiralcasing';
fid=fopen([casename '.txt'],'w');
fprintf(fid,'%f %f \r\n',[1000.*d.Rtvect;1000.*d.rvect]);
fclose(fid);

%% Curve-files for turbogrid
% hub.curve
casename='hub';
fid=fopen([casename '.curve'],'w');
fprintf(fid,'%f %f %f \r\n',[hubX';hubY';hubZ']);
fclose(fid);

% shroud.curve
casename='shroud';
fid=fopen([casename '.curve'],'w');
fprintf(fid,'%f %f %f \r\n',[shroudX';shroudY';shroudZ']);
fclose(fid);

% blade.curve
casename='blade';
profiles=round(Line/10);
fid=fopen([casename '.curve'],'w');
j=0;
for i=1:profiles:Line
    j=j+1;
   fprintf(fid,'%s \r\n',['# Profile no. ' int2str(j)]);
   fprintf(fid,'%f %f %f \r\n',[bladeX(:,end+1-i)';bladeY(:,end+1-i)';bladeZ(:,end+1-i)']);
end
fclose(fid);
dz=gvhubZ(1,1)-gvshroudZ(1,1);
gvZtemp=ones(size(gvX))*gvhubZ(1,1);

% GVhub.curve
casename='GVhub';
fid=fopen([casename '.curve'],'w');
fprintf(fid,'%f %f %f \r\n',[gvhubX';gvhubY';gvhubZ']);
fclose(fid);

% GVshroud.curve
casename='GVshroud';
fid=fopen([casename '.curve'],'w');
fprintf(fid,'%f %f %f \r\n',[gvshroudX';gvshroudY';gvshroudZ']);
fclose(fid);

% GV.curve
casename='GV';
fid=fopen([casename '.curve'],'w');
for i=1:5
   gvZ=(gvZtemp-dz*(i-1)/4);
   fprintf(fid,'%s \r\n',['# Profile no. ' int2str(i)]);
   fprintf(fid,'%f %f %f \r\n',[gvX';gvY';gvZ']);
end
fclose(fid);

% SVhub.curve
casename='SVhub';
fid=fopen([casename '.curve'],'w');
fprintf(fid,'%f %f %f \r\n',[svhubX';svhubY';svhubZ']);
fclose(fid);

% SVshroud.curve
casename='SVshroud';
fid=fopen([casename '.curve'],'w');
fprintf(fid,'%f %f %f \r\n',[svshroudX';svshroudY';svshroudZ']);
fclose(fid);

% SV.curve
casename='SV';
fid=fopen([casename '.curve'],'w');
for i=1:5
   fprintf(fid,'%s \r\n',['# Profile no. ' int2str(i)]);
   fprintf(fid,'%f %f %f \r\n',[svX(:,i)';svY(:,i)';svZ(:,i)']);
end
fclose(fid);

%% CFXparameters.txt
casename='CFXparameters';
fid=fopen([casename '.txt'],'w');
fprintf(fid,'%s \t\t\t %f \r\n','Blades', e.Z_rc);
fprintf(fid,'%s \t\t %f \r\n','Flow rate', g.Q);
fprintf(fid,'%s \t %f \r\n','Rotational speed', -g.omega*30/pi);
fprintf(fid,'%s \r\n',' ');
fprintf(fid,'%s \r\n','Velocity components:');
fprintf(fid,'%s \r\n',' ');
fprintf(fid,'%s \r\n','Between runner and guide vanes:');
fprintf(fid,'%s \r\n',' ');
fprintf(fid,'%s \t\t %f \r\n','C_theta', c_urin/c_rin);
fprintf(fid,'%s \t\t\t %f \r\n','C_r', c_mrin/c_rin);
fprintf(fid,'%s \t\t\t %f \r\n','C_z', 0);
fprintf(fid,'%s \r\n',' ');
fprintf(fid,'%s \r\n','Between guide vanes and stay vanes:');
fprintf(fid,'%s \r\n',' ');
fprintf(fid,'%s \t\t %f \r\n','C_theta', c_ugin/c_gin);
fprintf(fid,'%s \t\t\t %f \r\n','C_r', c_mgin/c_gin);
fprintf(fid,'%s \t\t\t %f \r\n','C_z', 0);
fprintf(fid,'%s \r\n',' ');
fprintf(fid,'%s \r\n','At stay vane inlet:');
fprintf(fid,'%s \r\n',' ');
fprintf(fid,'%s \t\t %f \r\n','C_theta', c_usin/c_sin);
fprintf(fid,'%s \t\t\t %f \r\n','C_r', c_msin/c_sin);
fprintf(fid,'%s \t\t\t %f \r\n','C_z', 0);
fclose(fid);

%% Turbine data
casename='Turbine Data';
fid=fopen([casename '.txt'],'w');

fprintf(fid,'%s \r\n','Velocity components:');
fprintf(fid,'%s \r\n',' ');
fprintf(fid,'%s \t\t\t %f \r\n','U_1', g.u_1);
fprintf(fid,'%s \t\t %f \r\n','U_1 reduced', g.u_1red);
fprintf(fid,'%s \t\t\t %f \r\n','C_1', g.c_1);
fprintf(fid,'%s \t\t\t %f \r\n','C_u1', g.c_u1);
fprintf(fid,'%s \t\t\t %f \r\n','C_m1', g.c_m1);
fprintf(fid,'%s \t\t\t %f \r\n','W_1', g.w_1);
fprintf(fid,'%s \t\t\t %f \r\n','U_2', g.u_2);
fprintf(fid,'%s \t %f \r\n','U_2 synchronous', g.omega*f.Rmat(end,1));
fprintf(fid,'%s \t\t\t %f \r\n','C_m2', f.c_mMat(end,1));
fprintf(fid,'%s \t\t\t %f \r\n','W_2', sqrt(f.c_mMat(end,1)^2+(g.omega*f.Rmat(end,1))^2));
fprintf(fid,'%s \t\t\t %f \r\n','Beta_2', atand(f.c_mMat(end,1)/(g.omega*f.Rmat(end,1))));
fprintf(fid,'%s \r\n',' ');

fprintf(fid,'%s \r\n','Turbine dimensions:');
fprintf(fid,'%s \r\n',' ');
fprintf(fid,'%s \t\t\t %f \r\n','Blades',e.Z_rc);
fprintf(fid,'%s \t\t\t %f \r\n','D_1', g.D_1);
fprintf(fid,'%s \t\t\t %f \r\n','D_2', 2*f.Rmat(end,1));
fprintf(fid,'%s \t\t\t %f \r\n','B_1', g.B_1);
fprintf(fid,'%s \t\t\t %f \r\n','b', f.b);
fprintf(fid,'%s \t\t %f \r\n','D_shaft', l.D_shaft);
fprintf(fid,'%s \t\t %f \r\n','D_labyrinth', l.Dp);
fprintf(fid,'%s \r\n',' ');

fprintf(fid,'%s \r\n','Characteristical parameters:');
fprintf(fid,'%s \r\n',' ');
fprintf(fid,'%s \t\t\t %f \r\n','Head', g.H);
fprintf(fid,'%s \t\t %f \r\n','Flow rate', g.Q);
fprintf(fid,'%s \t %f \r\n','Rotational speed', g.omega*30/pi);
fprintf(fid,'%s \t %f \r\n','Angular velocity', g.omega);
fprintf(fid,'%s \t\t %f \r\n','Speed number', g.speedNr);
fprintf(fid,'%s \t %f \r\n','Submergence req.', s.Hs);
fprintf(fid,'%s \t\t %f \r\n','Reaction ratio', g.Rratio);
fprintf(fid,'%s \t %f \r\n','Erosion tendency', e.erosiontotal);
fprintf(fid,'%s \t %f \r\n','Erosion reference', e.erosionref);
fprintf(fid,'%s \t\t %f \r\n','Erosion factor', e.erosion_factor);
fclose(fid);

cd(Oldfolder);
end
function SaveCallback(~,~)
global s main
s.SaveEdit=uicontrol('Style', 'edit','String',datestr(now, 'dd.mm.yy HH.MM.SS'), 'Units', 'normalized','FontSize', 12,...
                        'position', [0.65 0.40 0.10 0.04],'Callback', @NameCallback,...
                        'Parent',main.panels(main.sum)); 
s.SaveStatic=uicontrol('Style', 'text', 'String','Save As','Units', 'normalized','FontSize', 12,...
                        'position', [0.59 0.40 0.06 0.03],...
                        'Parent',main.panels(main.sum),'BackgroundColor',[.8 .8 .8]); 
end
function savefn
global s e f g d
name=s.name;
Oldfolder=cd;

cd('Designs');
mkdir(name);
cd(name);

X=e.Xmat;
Y=e.Ymat;
Z=e.Zmat;
Z_rc=e.Z_rc;
shroudpointvect=g.shroud;
outletpointvect=g.outlet;
distpointvect=f.point;
U1red=g.u_1red;
U2=g.u_2;
Zp=g.Zp;
D2=g.D_2;
acc=g.acc;
H=g.H;
Q=g.Q;
streamlines=f.sl;
b=f.b;
chosendist=e.chosendist;
Z_gv=get(d.ZgvEdit,'String');
D_gvax=get(d.DgvaxEdit,'String');
t_sv=get(d.t_svEdit,'String');
Z_sc=get(d.Z_scEdit,'String');

save('Designparameters.mat','X','Y','Z','Z_rc','shroudpointvect','outletpointvect','distpointvect','U1red','D2','Zp','acc','H','Q','streamlines','b','chosendist','Z_gv','D_gvax','t_sv','Z_sc')
cd(Oldfolder);
end
function NameCallback(~,~)
global s
s.name=get(s.SaveEdit,'String');
try delete (s.SaveEdit, s.SaveStatic); end
savefn
end