function Summaryfill
global s g f main e
% Static texts for Velocity components
s.U1=uicontrol('Style','text','FontName','Symbol','String',num2str(g.u_1),'FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.4 0.91 0.3 0.083],'HorizontalAlignment','left',...
                     'Parent',s.velocitiespanel);
s.U1red=uicontrol('Style','text','FontName','Symbol','String',num2str(g.u_1red),'FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.40 0.82 0.3 0.083],'HorizontalAlignment','left',...
                     'Parent',s.velocitiespanel); 
s.C1=uicontrol('Style','text','FontName','Symbol','String',num2str(g.c_1),'FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.40 0.73 0.3 0.083],'HorizontalAlignment','left',...
                     'Parent',s.velocitiespanel);
s.Cu1=uicontrol('Style','text','FontName','Symbol','String',num2str(g.c_u1),'FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.40 0.64 0.3 0.083],'HorizontalAlignment','left',...
                     'Parent',s.velocitiespanel);
s.Cm1=uicontrol('Style','text','FontName','Symbol','String',num2str(g.c_m1),'FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.40 0.55 0.3 0.083],'HorizontalAlignment','left',...
                     'Parent',s.velocitiespanel);
s.W1=uicontrol('Style','text','FontName','Symbol','String',num2str(g.w_1),'FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.40 0.46 0.3 0.083],'HorizontalAlignment','left',...
                     'Parent',s.velocitiespanel); 
s.U2=uicontrol('Style','text','FontName','Symbol','String',num2str(g.omega*f.Rmat(end,1)),'FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.40 0.28 0.3 0.083],'HorizontalAlignment','left',...
                     'Parent',s.velocitiespanel);  
s.Cm2=uicontrol('Style','text','FontName','Symbol','String',num2str(f.c_mMat(end,1)),'FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.40 0.19 0.3 0.083],'HorizontalAlignment','left',...
                     'Parent',s.velocitiespanel);  
s.W2=uicontrol('Style','text','FontName','Symbol','String',num2str(sqrt(f.c_mMat(end,1)^2+(g.omega*f.Rmat(end,1))^2)),'FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.40 0.1 0.3 0.083],'HorizontalAlignment','left',...
                     'Parent',s.velocitiespanel);  
s.Beta2=uicontrol('Style','text','FontName','Symbol','String',num2str(atand(f.c_mMat(end,1)/(g.omega*f.Rmat(end,1)))),'FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.40 0.01 0.3 0.083],'HorizontalAlignment','left',...
                     'Parent',s.velocitiespanel);

% Static texts for Turbine dimensions
s.D1=uicontrol('Style','text','FontName','Symbol','String',num2str(g.D_1),'FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.40 0.8621 0.3 0.142],'HorizontalAlignment','left',...
                     'Parent',s.dimensionspanel);
s.D2=uicontrol('Style','text','FontName','Symbol','String',num2str(2*f.Rmat(end,1)),'FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.40 0.72 0.3 0.142],'HorizontalAlignment','left',...
                     'Parent',s.dimensionspanel); 
s.B1=uicontrol('Style','text','FontName','Symbol','String',num2str(g.B_1),'FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.40 0.578 0.3 0.142],'HorizontalAlignment','left',...
                     'Parent',s.dimensionspanel);
s.Blades=uicontrol('Style','text','FontName','Symbol','String',get(e.NoBladesEdit,'string'),'FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.40 0.436 0.3 0.142],'HorizontalAlignment','left',...
                     'Parent',s.dimensionspanel);
s.Height=uicontrol('Style','text','FontName','Symbol','String',num2str(max(max(f.Zmat))-min(min(f.Zmat))),'FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.40 0.294 0.3 0.142],'HorizontalAlignment','left',...
                     'Parent',s.dimensionspanel);
s.Dshaft=uicontrol('Style','text','FontName','Symbol','String',num2str(0),'FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.40 0.152 0.3 0.142],'HorizontalAlignment','left',...
                     'Parent',s.dimensionspanel);                
s.Dlabyrinth=uicontrol('Style','text','FontName','Symbol','String',num2str(0),'FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.40 0.01 0.3 0.142],'HorizontalAlignment','left',...
                     'Parent',s.dimensionspanel);                  


% Static texts for Characteristicl parameters
s.Head=uicontrol('Style','text','FontName','Symbol','String',num2str(g.H),'FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.40 0.9 0.3 0.124],'HorizontalAlignment','left',...
                     'Parent',s.parameterspanel);
s.Flow=uicontrol('Style','text','FontName','Symbol','String',num2str(g.Q),'FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.40 0.8 0.3 0.124],'HorizontalAlignment','left',...
                     'Parent',s.parameterspanel);
                 
% Calculating required submergence
a=1.12; b=0.055;
h_b=10.3;
h_va=0.125;
c_m2npsh=4*g.Qn/(pi*(2*f.Rmat(end,1))^2);                   
NPSH_t= a*(c_m2npsh)^2/(2*main.grav)+b*(g.omega*f.Rmat(end,1))^2/(2*main.grav);
Hs=h_b-h_va-NPSH_t;  
s.Hs=Hs;
s.Submerge=uicontrol('Style','text','FontName','Symbol','String',num2str(Hs),'FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.40 0.7 0.3 0.124],'HorizontalAlignment','left',...
                     'Parent',s.parameterspanel);
s.Speednumber=uicontrol('Style','text','FontName','Symbol','String',num2str(g.speedNr),'FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.40 0.6 0.3 0.124],'HorizontalAlignment','left',...
                     'Parent',s.parameterspanel);
s.rotspeed=uicontrol('Style','text','FontName','Symbol','String',num2str(g.omega*30/pi),'FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.40 0.5 0.3 0.124],'HorizontalAlignment','left',...
                     'Parent',s.parameterspanel);
s.angspeed=uicontrol('Style','text','FontName','Symbol','String',num2str(g.omega),'FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.40 0.4 0.3 0.124],'HorizontalAlignment','left',...
                     'Parent',s.parameterspanel);              
s.Reaction=uicontrol('Style','text','FontName','Symbol','String',num2str(g.Rratio),'FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.40 0.3 0.3 0.124],'HorizontalAlignment','left',...
                     'Parent',s.parameterspanel); 
s.Erosiontend=uicontrol('Style','text','FontName','Symbol','String',num2str(e.erosiontotal),'FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.40 0.2 0.3 0.124],'HorizontalAlignment','left',...
                     'Parent',s.parameterspanel);
s.Erosionrefe=uicontrol('Style','text','FontName','Symbol','String',num2str(e.erosionref),'FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.40 0.1 0.3 0.124],'HorizontalAlignment','left',...
                     'Parent',s.parameterspanel);
s.Erosionfact=uicontrol('Style','text','FontName','Symbol','String',num2str(e.erosion_factor),'FontSize',12,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.40 0.001 0.3 0.124],'HorizontalAlignment','left',...
                     'Parent',s.parameterspanel);                  
end