function UpdateAxial
global g h k
g.H=h.H;
g.Q=h.Q;
g.Qn=h.Qn;
g.D_1=h.D_1;
g.B_1=h.B_1;
g.D_2=h.D_2;
g.c_m1=h.c_m1;
g.c_m2=h.c_m2;
g.u_1=h.u_1;
g.u_1red=h.u_1red;
g.u_2=h.U_2;
g.acc=h.acc;
g.beta_2=h.beta_2;
g.Zp=h.Z_p1;
g.c_u1=h.c_u1;
g.c_1=h.c_1;
g.w_1=h.w_1;
g.w_2=sqrt(g.c_m2^2+g.u_2^2);
g.beta_1=h.beta_1;
g.omega=h.omega;
g.power=h.power;
g.speedNr=h.speedNr;
g.Hs=h.Hs;
g.Rratio=h.Rratio;


g.A_1=pi*g.D_1*g.B_1;
g.A_2=pi*(g.D_2/2)^2;
if k.i==0
    g.b=round((g.D_1/2-g.D_2/2)*100)/100;
    set(g.bEdit,'String',num2str(g.b));
else
    g.b=str2double(get(g.bEdit,'String'));
end
maxb=3; minb=0;


set(g.bSlider,'Value',g.b,'Max',maxb,'Min',minb,'SliderStep',[0.01/(maxb-minb) 0.01/(maxb-minb)]);

% Setting the default points for the Bezier curve.
if k.i==0
    g.ps0=[g.D_1/2, g.b];
    g.ps4=[g.D_2/2, 0.005];  
    g.ps1=[g.D_1/2-2*(g.D_1-g.D_2)/10, g.b*9/10];
    g.ps2=[g.D_1/2-4*(g.D_1-g.D_2)/10, g.b*8/10];
    g.ps3=[g.D_2/2, g.b/10];
    g.shroud=[g.ps0; g.ps1; g.ps2; g.ps3; g.ps4];
    plotAxialView(1)
else
    intstep=1000;
    g.outletLine=func_BezierCurve(g.outlet, intstep/10);    

    set(gcf,'CurrentAxes',g.AxialFig);
    hold on
    try delete (g.OutletLinePlot);end
    g.OutletLinePlot=plot(g.outletLine(:,1),g.outletLine(:,2),'-g');  % plotting the bezier curve
    try delete (g.OutletPointPlot);end
    g.OutletPointPlot=plot(g.outlet(:,1),g.outlet(:,2),'marker','s','markersize',5,'markerfacecolor','g','linestyle','none');
    
    g.ptemp=50;

    g.XY100=func_BezierCurve(g.shroud, 100);
    g.XY=func_DistributeEvenly(g.XY100, g.ptemp);
    
    try delete(g.ShroudLinePlot);end 
    g.ShroudLinePlot=plot(g.XY(:,1),g.XY(:,2),'c-');  % plotting the bezier curve
    hold on
    try delete(g.ShroudPointPlot);end
    try delete(g.ShroudDotPlot);end
    g.ShroudPointPlot=plot(g.shroud(:,1),g.shroud(:,2),'marker','s','markersize',5,'markerfacecolor','c','linestyle','none');   % plotting the bezier control points

    plotAxialView(0)
end
end

