function UpdateRadial
global d e f k h g c main
e.chosendist=get(f.centerMenu,'Value');
e.Rmat=f.Rmat;
e.Zmat=f.Zmat;
e.D_1=f.D_1;
e.B_1=f.B_1;
e.D_2=f.D_2;
e.c_m1=f.c_m1;
e.c_m2=f.c_m2;
e.c_mMat=f.c_mMat;
e.cMat=(f.Cumat.^2+f.c_mMat.^2).^0.5;
e.u_1=f.u_1;
e.c_u1=f.c_u1;
e.w_1=f.w_1;
e.beta_1=f.beta_1;
e.omega=f.omega;
e.power=f.power;
e.Wmat=((f.Umat-f.Cumat).^2+e.c_mMat.^2).^(1/2);

% Radial view
% Calculating the Theta matrix
e.Theta=zeros(size(e.Rmat));
[Point,Line]=size(e.Rmat);
    for P=2:Point
        deltaH=f.Hmat(P,:)-f.Hmat(P-1,:);
        e.Theta(P,:)=e.Theta(P-1,:)+deltaH./e.Rmat(P,:);
    end
    
% Plotting the radial view
set(gcf,'CurrentAxes',e.RadialFig);
try delete(e.RadialPlot); end
e.RadialPlot=polar(e.Theta,e.Rmat,'k-');

% Calculating the cartesina coordinates from the Radial View

e.Xmat=e.Rmat.*cos(e.Theta);
e.Ymat=e.Rmat.*sin(e.Theta);

e.curv=surfature(e.Xmat,e.Ymat,e.Zmat);  
e.erosionarea=erosionarea(e.Xmat,e.Ymat,e.Zmat);
const=1;
e.erosion=e.Wmat.^3*const; 
e.erosiontotal=sum(sum(e.erosion.*e.erosionarea))/sum(sum(e.erosionarea));
e.erosionref=6.5676422*10^3; % e.erosiontotal of reference design
e.erosion_factor=e.erosiontotal/e.erosionref;
set(e.erosionfactornumber,'string',num2str(e.erosion_factor));
% Calcultaing the required number of blades to avoid bacflow at the inlet on
% the pressure side of the blade at part load, as W is less.
e.CmMatPL=0.8.*e.c_mMat;
e.WmatPL=((f.Umat-f.Cumat).^2+e.CmMatPL.^2).^(1/2);
e.dwdn=-2*e.omega-e.WmatPL.*e.curv;
e.O=(2*pi).*e.Rmat;
e.deltan_max=-(e.WmatPL./e.dwdn);
e.Z_r=e.O./(2.*e.deltan_max);
e.maxZ_r=ceil(max(max(e.Z_r(:,:))));
e.Z_rc=e.maxZ_r;
set(e.NoBlades,'String',num2str(e.maxZ_r));
if k.i==0
    set(e.NoBladesEdit,'String',get(e.NoBlades,'String'));
end
% Plotting the 3D shape of the blade, Switch on chosen colormap of blade
set(gcf,'CurrentAxes',e.BladeFig);
try delete(e.BladePlot);end 
colormap(jet)
a=get(e.ColormapBlades,'Value');
switch a
    case 1
    e.BladePlot=surf(e.Xmat,e.Ymat,e.Zmat,e.curv,'FaceColor','interp');
    case 2
    e.BladePlot=surf(e.Xmat,e.Ymat,e.Zmat,e.WmatPL,'FaceColor','interp');
    colorbar('location','Eastoutside')
    case 3
    e.BladePlot=surf(e.Xmat,e.Ymat,e.Zmat,e.Wmat,'FaceColor','interp'); 
    colorbar('location','Eastoutside')    
    case 4
    e.BladePlot=surf(e.Xmat,e.Ymat,e.Zmat,e.Z_r,'FaceColor','interp');
    colorbar('location','Eastoutside')
    case 5
    e.BladePlot=surf(e.Xmat,e.Ymat,e.Zmat,e.erosion,'FaceColor','interp');
    colorbar('location','Eastoutside')
end

% Plotting the runner cascade
set(gcf,'CurrentAxes',e.RunnerFig);
try delete(e.RunnerPlot);end 
e.RunnerPlot=0;
switch a       % switch on chosen colormap of blades
    case 1
    xvalues=zeros(Line,Point);
    yvalues=xvalues;
    zvalues=xvalues;
    curvvalues=xvalues;
    for n=1:2
    i=0;
    for angle=0:2*pi/e.maxZ_r:2*pi
        i=i+1;
        [theta r z]=cart2pol(e.Xmat,e.Ymat,e.Zmat);
        theta=theta+angle;
        [x y z]=pol2cart(theta,r,z);
        for L=1:Line
            for P=1:Point
                xvalues(L,P)=x(P+(L-1)*Point);
                yvalues(L,P)=y(P+(L-1)*Point);
                zvalues(L,P)=z(P+(L-1)*Point);
                curvvalues(L,P)=e.curv(P+(L-1)*Point);
            end
        end
        if n==1
            view([0 90])
            axis equal
            hold on
            
        else
            e.RunnerPlot(i)=surf(xvalues,yvalues,zvalues,curvvalues,'FaceColor','interp');
            axis equal
            hold on
            view([45 35])
        end
    end
    end
    box off
    case 2
        xvalues=zeros(Line,Point);
    yvalues=xvalues;
    zvalues=xvalues;
    WPL=xvalues;
    for n=1:2
    i=0;
    for angle=0:2*pi/e.maxZ_r:2*pi
        i=i+1;
        [theta r z]=cart2pol(e.Xmat,e.Ymat,e.Zmat);
        theta=theta+angle;
        [x y z]=pol2cart(theta,r,z);
        for L=1:Line
            for P=1:Point
                xvalues(L,P)=x(P+(L-1)*Point);
                yvalues(L,P)=y(P+(L-1)*Point);
                zvalues(L,P)=z(P+(L-1)*Point);
                WPL(L,P)=e.WmatPL(P+(L-1)*Point);
            end
        end
        if n==1
            view([0 90])
            axis equal
            hold on
            
        else
            e.RunnerPlot(i)=surf(xvalues,yvalues,zvalues,WPL,'FaceColor','interp');
            axis equal
            hold on
            view([45 35])
        end
    end
    end
    box off
    case 3
    xvalues=zeros(Line,Point);
    yvalues=xvalues;
    zvalues=xvalues;
    wvalues=xvalues;
    for n=1:2
    i=0;
    for angle=0:2*pi/e.maxZ_r:2*pi
        i=i+1;
        [theta r z]=cart2pol(e.Xmat,e.Ymat,e.Zmat);
        theta=theta+angle;
        [x y z]=pol2cart(theta,r,z);
        for L=1:Line
            for P=1:Point
                xvalues(L,P)=x(P+(L-1)*Point);
                yvalues(L,P)=y(P+(L-1)*Point);
                zvalues(L,P)=z(P+(L-1)*Point);
                wvalues(L,P)=e.Wmat(P+(L-1)*Point);
            end
        end
        if n==1
            view([0 90])
            axis equal
            hold on
            
        else
            e.RunnerPlot(i)=surf(xvalues,yvalues,zvalues,wvalues,'FaceColor','interp');
%             colormap(jet);
            axis equal
            hold on
            view([45 35])
        end
    end
    end
    box off
    case 4
    xvalues=zeros(Line,Point);
    yvalues=xvalues;
    zvalues=xvalues;
    Z_r=xvalues;
    for n=1:2
    i=0;
    for angle=0:2*pi/e.maxZ_r:2*pi
        i=i+1;
        [theta r z]=cart2pol(e.Xmat,e.Ymat,e.Zmat);
        theta=theta+angle;
        [x y z]=pol2cart(theta,r,z);
        for L=1:Line
            for P=1:Point
                xvalues(L,P)=x(P+(L-1)*Point);
                yvalues(L,P)=y(P+(L-1)*Point);
                zvalues(L,P)=z(P+(L-1)*Point);
                Z_r(L,P)=e.Z_r(P+(L-1)*Point);
            end
        end
        if n==1
            view([0 90])
            axis equal
            hold on
            
        else
            e.RunnerPlot(i)=surf(xvalues,yvalues,zvalues,Z_r,'FaceColor','interp');
%             colormap(jet);
            axis equal
            hold on
            view([45 35])
        end
    end
    end
    box off
    case 5
    xvalues=zeros(Line,Point);
    yvalues=xvalues;
    zvalues=xvalues;
    Erosion=xvalues;
    for n=1:2
    i=0;
    for angle=0:2*pi/e.maxZ_r:2*pi
        i=i+1;
        [theta r z]=cart2pol(e.Xmat,e.Ymat,e.Zmat);
        theta=theta+angle;
        [x y z]=pol2cart(theta,r,z);
        for L=1:Line
            for P=1:Point
                xvalues(L,P)=x(P+(L-1)*Point);
                yvalues(L,P)=y(P+(L-1)*Point);
                zvalues(L,P)=z(P+(L-1)*Point);
                Erosion(L,P)=e.erosion(P+(L-1)*Point);
            end
        end
        if n==1
            view([0 90])
            axis equal
            hold on
            
        else
            e.RunnerPlot(i)=surf(xvalues,yvalues,zvalues,Erosion,'FaceColor','interp');
%             colormap(jet);
            axis equal
            hold on
            view([45 35])
        end
    end
    end
    box off
end

% calculating required thickness of blade. Max thickness is calculated for
% both a reltion given by Brekke and a reltaion given by Kvaerner. Greatest
% value of the two is chosen.
e.b=e.B_1;
e.a=1.5*e.b;
e.R_t=e.Rmat(1,1)-e.a;
e.R_m=(e.Rmat(1,1)+e.R_t)/2;
e.deltap=e.power/(e.maxZ_r*e.a*e.b*e.R_m*e.omega);
% e.tmaxbrekke=sqrt(2*e.b^2*e.deltap/main.sigmamax)*1000; %[mm]
% e.tmaxkvarner=5.7*(0.5+0.96*h.speedNr)*sqrt((((h.power/1000)/(g.H^1.5)*g.H)/((1+4.7*h.speedNr)*str2double(get(e.NoBladesEdit,'String')))));
% e.tmax=max(e.tmaxbrekke, e.tmaxkvarner);
% e.tout=0.72*h.speedNr^(1/3)*sqrt((h.power/1000)/(g.H^1.5)*g.H)/sqrt(e.maxZ_r);
e.tmax=15;
e.tout=8;
set(e.ThicknessBlades,'String',[num2str(e.tmax) ' mm']);
set(e.ThicknessBlades2,'String',[num2str(e.tout) ' mm']);

% Plotting one streamline of te runner in the middle of the runner cascade.
set(gcf,'CurrentAxes',d.gvFig);
hold on
i=0;
try delete (d.runnerplot); end
d.runnerplot=0;
for angle=0:2*pi/e.maxZ_r:2*pi
        i=i+1;
        [theta r]=cart2pol(e.Xmat(:,round(Line/2)),e.Ymat(:,round(Line/2)));        % runner middle contour 
        theta=theta+angle;
        [x y]=pol2cart(theta,r);
        d.runnerplot(i)=plot(x,y,'k');
           

end

% Calculating initial value of D_gvax, D_gvax=D_0
d.Z_gv=str2double(get(d.ZgvEdit,'String'));
d.D_gvout=1.05*e.D_1;
d.B_gvout=e.B_1+0.001;
d.c_ugvout=e.c_u1*e.D_1/d.D_gvout;
d.c_mgvout=h.Q/(d.D_gvout*d.B_gvout*pi);
d.alpha_gvout=atand(d.c_mgvout/d.c_ugvout);

multiplication=1.001;           % Initial assumption for calcualtion
axislocation=0.58;          % Initial value to start the loop
       while (axislocation <0.6||axislocation>0.7)
       D_gvax=multiplication*d.D_gvout;
       multiplication = multiplication+0.01;
       % Length from the vane outlet to the axis (Using Trigonometery)
       angleB=asind((d.D_gvout/D_gvax)*sind(d.alpha_gvout+90));
       angleC=180-(angleB+d.alpha_gvout+90);
       L_gvax=sind(angleC)*D_gvax/(2*sind(d.alpha_gvout+90));

       L_gv=1.1*pi*D_gvax/d.Z_gv; % Length of guidevane with 10% coverage factor
       axislocation=L_gvax/L_gv;  % Calculate axis location 
       end

set(d.DgvaxEdit,'String',num2str(D_gvax));
calcGV
% Calculating initial value of D_svin
d.B_sv=d.B_gvout;
d.Z_sv=d.Z_gv;
d.D_svout=d.D_gvin*1.03;
d.c_usvout=d.c_ugvin*d.D_gvin/d.D_svout;
d.c_msvout=h.Q/(d.B_sv*pi*d.D_svout);
d.alpha_svout=atand(d.c_msvout/d.c_usvout);
multiplication=1.001;           % Initial assumption for calcualtion
sigma_sv=main.sigmamax*2;
while sigma_sv>main.sigmamax
    d.D_svin=ceil(d.D_svout*multiplication*1000)/1000;
    multiplication = multiplication+0.01;
    d.c_msvin=h.Q/(d.D_svin*d.B_sv*pi);
    d.c_usvin=d.c_usvout*(d.D_svout/d.D_svin);
    d.alpha_svin=atand(d.c_msvin/d.c_usvin);

    d.R_svout=d.D_svout/2;
    d.R_svin=d.D_svin/2;     %stay vane radius 
    d.C_t=d.c_usvin*d.R_svin; % Free vortex constant
    imax=100;
    d.R_sv=zeros(1,imax);
    d.alpha_sv=d.R_sv;
    d.theta_sv=d.R_sv;
    d.L_sv=d.R_sv;
    d.angleBsv=d.R_sv;
    d.c_usv=d.R_sv;
    d.c_msv=d.R_sv;
    d.c_usv(1)=d.c_usvout;
    d.c_msv(1)=d.c_msvout;
    d.dR=(d.R_svin-d.R_svout)/(imax-1);
    d.R_sv(1)=d.R_svout;
    d.theta_sv(1)=0;
    d.alpha_sv(1)=d.alpha_svout;
    d.L_sv(1)=0;
    d.angleBsv(1)=0;
    for i=2:imax
        d.R_sv(i)=d.R_sv(i-1)+d.dR;
        d.c_usv(i)=d.C_t/d.R_sv(i);
        d.c_msv(i)=h.Qn/(2*pi*d.R_sv(i)*d.B_sv);
        d.alpha_sv(i)=atand(d.c_msv(i)/d.c_usv(i));
        d.angleBsv(i)=asind(d.R_sv(i-1)/d.R_sv(i)*sind(d.alpha_sv(i-1)+90));
        d.theta_sv(i)=d.theta_sv(i-1)+180-(d.angleBsv(i)+d.alpha_sv(i-1)+90);
        d.L_sv(i)=d.L_sv(i-1)+(d.R_sv(i-1)*sind(d.theta_sv(i)-d.theta_sv(i-1))/sind(d.angleBsv(i)));
    end
    d.B=d.B_sv;                                 % Stay vane height
    d.k_2=0.1;                                  % For high head francis - overlap to stay vane
    d.Z_sc=str2double(get(d.Z_scEdit,'String'));  %number of spiral casing sections
    d.dzdeg=360/d.Z_sc;                         %degrees between changing spiral casing section

    i=0;
    d.Rstart=d.R_svin;
    d.deltaphi=1*pi/180;
    d.thetavect=0:d.dzdeg:360;
    d.Qvect=zeros(size(d.thetavect));
    d.Rtvect=d.Qvect;
    d.rvect=d.Qvect;
    d.C_tCalc=d.Qvect;
    d.R_svinvect=ones(size(d.thetavect))*d.R_svin;

    for zdegvect=d.thetavect
    i=i+1;
    d.Qvect(i)=(360-zdegvect)/360*h.Qn;
    d.r_start=1;
    d.r=d.r_start;
    d.r_new=0;
    j=0;
    while abs(d.r-d.r_new)>0.001
        j=j+1;
        d.r_new=d.r;
        d.phi_0=asin(0.5*d.B/d.r);
        d.phi_y=acos((d.r*cos(d.phi_0)-d.k_2*d.B)/d.r);
        if isnan(d.phi_y), break, end
        phivect=d.phi_y:d.deltaphi:pi;
        d.Rt=d.R_svin+d.r*cos(d.phi_0)-d.k_2*d.B;
        d.integral=d.deltaphi*trapz((sin(phivect).^2)./(d.Rt-d.r.*cos(phivect)));
        d.r=sqrt(d.Qvect(i)/(2*d.C_t*d.integral));
        d.C_tcalc=d.Qvect(i)/(2*(d.r^2)*d.integral);
    end
        d.C_tCalc(i)=d.C_tcalc;
        d.Rtvect(i)=d.Rt;
        d.rvect(i)=d.r;
    end
    d.rvect(end)=0;
    d.Rtvect(end)=d.R_svin;
    d.theta=d.thetavect/180*pi;  
    d.A_svf=pi*(d.Rtvect(1)^2-(d.D_gvax/2)^2);  %
    d.Pmax=main.rho*main.grav*h.H*1.2;   % static pressure + safety factor (=1.2) for pressure pulsation
    d.F_sv=d.Pmax*d.A_svf;               % force acting on stay vanes
    d.t_sv=str2double(get(d.t_svEdit,'String'))/1000;       % should be inout parameter
    sigma_sv=d.F_sv/(d.L_sv(end)*d.t_sv*d.Z_sv);
end

% set(d.DsvinEdit,'String',num2str(d.D_svin));
calcSV
calcSC
set(gcf,'CurrentAxes',c.BladeFig);
plotthickness(e.tmax/1000,e.tout/1000,e.Xmat,e.Ymat,e.Zmat,Point,Line);
Summaryfill
plotLabyrinth
end