function calcSC
global d h main
d.B=d.B_sv;                                 % Stay vane height
d.k_2=0.05;                                  % For high head francis - overlap to stay vane
d.Z_sc=str2double(get(d.Z_scEdit,'String'));  %number of spiral casing sections
d.dzdeg=360/d.Z_sc;                         %degrees between changing spiral casing section

i=0;
d.Rstart=d.R_svin;
d.deltaphi=1*pi/180;
% d.phivect=0:d.deltaphi:pi;
d.thetavect=0:d.dzdeg:360;
d.Qvect=zeros(size(d.thetavect));
d.Rtvect=d.Qvect;
d.rvect=d.Qvect;
d.C_tCalc=d.Qvect;
d.R_svinvect=ones(size(d.thetavect))*d.R_svin;

for zdegvect=d.thetavect
    i=i+1;
    d.Qvect(i)=(360-zdegvect)/360*h.Q;
    d.r_start=1;
    d.r=d.r_start;
    d.r_new=0;
    j=0;
    while abs(d.r-d.r_new)>0.001
        j=j+1;
        d.r_new=d.r;
        d.phi_0=asin(0.5*d.B/d.r);
%         d.phi_y=acos((sqrt(d.r^2-(d.B/2)^2)-d.k_2*d.B)/d.r);
        d.phi_y=acos((d.r*cos(d.phi_0)-d.k_2*d.B)/d.r);
        if isnan(d.phi_y), break, end
        phivect=d.phi_y:d.deltaphi:pi;
        d.Rt=d.R_svin+d.r*cos(d.phi_0)-d.k_2*d.B;
        d.integral=d.deltaphi*trapz((sin(phivect).^2)./(d.Rt-d.r.*cos(phivect)));
        d.r=sqrt(d.Qvect(i)/(2*d.C_t*d.integral));
        d.C_tcalc=d.Qvect(i)/(2*(d.r^2)*d.integral);
    end
%     break
    d.C_tCalc(i)=d.C_tcalc;
    d.Rtvect(i)=d.Rt;
    d.rvect(i)=d.r;
end
d.rvect(end)=0;
d.Rtvect(end)=d.R_svin;
d.theta=d.thetavect/180*pi;

set(gcf,'CurrentAxes', d.gvFig)
try delete(d.scplotin); end
try delete(d.scplotout); end
try delete(d.scplotmid); end
d.scplotin=0;
d.scplotout=0;
d.scplotmid=0;
hold on 
d.scplotin=polar(-d.theta,d.R_svinvect,'k');
d.scplotout=polar(-d.theta,d.Rtvect+d.rvect,'k');
d.scplotmid=polar(-d.theta,d.Rtvect,'k:');

% Lpipe=381;                  %Length of penstock - from Jonas' thesis 
% rpipe=0.75;                 %Penstock diameter - from Jonas' thesis 
% d.Tclose=6;                   %Valve closing time in seconds - assumed

d.Rscmax=d.Rtvect(1)+d.rvect(1);
d.Rscmin=d.Rtvect(1)-d.rvect(1);
d.rpipe=d.Rscmax-d.Rscmin;

% d.A_sc=pi*(d.Rscmax^2-d.Rscmin^2);
d.A_svf=pi*(d.Rtvect(1)^2-(d.D_gvax/2)^2);  %
d.Pmax=main.rho*main.grav*h.H*1.2;   % static pressure + safety factor (=1.2) for pressure pulsation
d.F_sv=d.Pmax*d.A_svf;               % force acting on stay vanes
d.t_sv=str2double(get(d.t_svEdit,'String'))/1000;
sigma_sv=d.F_sv/(d.L_sv(end)*d.t_sv*d.Z_sv);
set(d.ThicknessStatic,'String', ['Sigma_sv = ' num2str(sigma_sv/(10^6)) ' [MPa]']);
end
