function calcSV
global d h g
d.Z_sv=d.Z_gv;
d.B_sv=d.B_gvout;
% Outlet dimensions
d.D_svout=d.D_gvin*1.03;
d.c_usvout=d.c_ugvin*d.D_gvin/d.D_svout;
d.c_msvout=h.Q/(d.B_sv*pi*d.D_svout);
d.alpha_svout=atand(d.c_msvout/d.c_usvout);

% Inlet Dimensions

d.c_msvin=h.Q/(d.D_svin*d.B_sv*pi);
d.c_usvin=d.c_usvout*(d.D_svout/d.D_svin);
d.alpha_svin=atand(d.c_msvin/d.c_usvin);

d.R_svout=d.D_svout/2;
d.R_svin=d.D_svin/2;     %stay vane radius 
d.C_t=d.c_usvin*d.R_svin; % Free vortex constant
imax=50;
d.R_sv=zeros(1,imax);
d.alpha_sv=d.R_sv;
d.theta_sv=d.R_sv;
d.L_sv=d.R_sv;
d.angleBsv=d.R_sv;
d.c_usv=d.R_sv;
d.c_msv=d.R_sv;
d.c_usv(1)=d.c_usvout;
d.c_msv(1)=d.c_msvout;
d.dR=(d.R_svin-d.R_svout)/(imax-1);
d.R_sv(1)=d.R_svout;
d.theta_sv(1)=0;
d.alpha_sv(1)=d.alpha_svout;
d.L_sv(1)=0;
d.angleBsv(1)=0;
for i=2:imax
    d.R_sv(i)=d.R_sv(i-1)+d.dR;
    d.c_usv(i)=d.C_t/d.R_sv(i);
    d.c_msv(i)=h.Q/(2*pi*d.R_sv(i)*d.B_sv);
    d.alpha_sv(i)=atand(d.c_msv(i)/d.c_usv(i));
    d.angleBsv(i)=asind(d.R_sv(i-1)/d.R_sv(i)*sind(d.alpha_sv(i-1)+90));
    d.theta_sv(i)=d.theta_sv(i-1)+180-(d.angleBsv(i)+d.alpha_sv(i-1)+90);
    d.L_sv(i)=d.L_sv(i-1)+(d.R_sv(i-1)*sind(d.theta_sv(i)-d.theta_sv(i-1))/sind(d.angleBsv(i)));
end
d.theta_sv=-(max(d.theta_sv)-d.theta_sv);
[xsv, ysv]=pol2cart((d.theta_sv)*pi/180, d.R_sv)
d.xsvproE=xsv;
d.ysvproE=ysv;
% Add thickness to stay vanes
t_sv=str2double(get(d.t_svEdit,'String'))/1000; 
d.tsvproE=t_sv;
dt=t_sv/2;
xtemp=zeros(length(xsv),2);
ytemp=xtemp;
for i=1:length(xsv)-1      
        dx = xsv(i)-xsv(i+1);
        dy = ysv(i)-ysv(i+1);
        Lvect2=sqrt(dx^2+dy^2);
        xtemp(i,1)=xsv(i)+dy*dt/Lvect2;
        xtemp(i,2)=xsv(i)-dy*dt/Lvect2;
        ytemp(i,1)=ysv(i)-dx*dt/Lvect2;
        ytemp(i,2)=ysv(i)+dx*dt/Lvect2;
end  
i=length(xsv);
        dx = xsv(i)-xsv(i-1);
        dy = ysv(i)-ysv(i-1);
        Lvect2=sqrt(dx^2+dy^2);
        xtemp(i,1)=xsv(i)-dy*dt/Lvect2;
        xtemp(i,2)=xsv(i)+dy*dt/Lvect2;
        ytemp(i,1)=ysv(i)+dx*dt/Lvect2;
        ytemp(i,2)=ysv(i)-dx*dt/Lvect2;

% matrix of stay vanes to be defined from inlet to outlet.       

d.svX(:,1,1)=xtemp(end:-1:1,1);
d.svY(:,1,1)=ytemp(end:-1:1,1);
d.svX(:,1,2)=xtemp(end:-1:1,2);
d.svY(:,1,2)=ytemp(end:-1:1,2);

% Run function leadingsv to find leading edge of stay vanes. Method given
% by Ole is used, thus Xle, Yle contains a lot of helping points.
[Xle, Yle]=leadingsv(t_sv, d.svX, d.svY);
% leading edge profile of pressure and suction side given by listed points in vectors XLEp, YLEp anf XLEs, YLEs
d.XLEp=[Xle(3,:);Xle(17,:);Xle(18,:);Xle(19,:);Xle(20,:);Xle(21,:);Xle(22,:);Xle(23,:)];
d.YLEp=[Yle(3,:);Yle(17,:);Yle(18,:);Yle(19,:);Yle(20,:);Yle(21,:);Yle(22,:);Yle(23,:)];
d.XLEs=[Xle(26,:);Xle(40,:);Xle(41,:);Xle(42,:);Xle(43,:);Xle(44,:);Xle(45,:);Xle(46,:)];
d.YLEs=[Yle(26,:);Yle(40,:);Yle(41,:);Yle(42,:);Yle(43,:);Yle(44,:);Yle(45,:);Yle(46,:)];

% Finding cross section of leading edge profile and side lines, d.svX, d.svY
Lsvp=0;
i_le=1;
while Lsvp<t_sv/2
    Lsvp=Lsvp+sqrt((d.svX(i_le+1,1,1)-d.svX(i_le,1,1))^2+(d.svY(i_le+1,1,1)-d.svY(i_le,1,1))^2);
    i_le=i_le+1;
end

Lsvs=0;
j_le=1;
while Lsvs<t_sv/2
    Lsvs=Lsvs+sqrt((d.svX(j_le+1,1,2)-d.svX(j_le,1,2))^2+(d.svY(j_le+1,1,2)-d.svY(j_le,1,2))^2);
    j_le=j_le+1;
end


[Xte, Yte]=trailingsv(t_sv, d.svX, d.svY);
d.XTE=[Xte(9:-1:6,1); Xte(1,1)];
d.YTE=[Yte(9:-1:6,1); Yte(1,1)];

L_svps=0;
for i=2:d.index_svps
    L_svps=L_svps+sqrt((d.xnewps(i)-d.xnewps(i-1))^2+(d.ynewps(i)-d.ynewps(i-1))^2);
end
i_te=1;
Lsvps=0;
while Lsvps<L_svps
    i_te=i_te+1;
    Lsvps=Lsvps+sqrt((d.svX(i_te,1,1)-d.svX(i_te-1,1,1))^2+(d.svY(i_te,1,1)-d.svY(i_te-1,1,1))^2);
end

d.svXp=[d.XLEp;d.svX(i_le:i_te-1,1,1);d.XTE;d.svX(end,1,2)];
d.svYp=[d.YLEp;d.svY(i_le:i_te-1,1,1);d.YTE;d.svY(end,1,2)];
d.svXs=[d.XLEs;d.svX(j_le:end,1,2)];
d.svYs=[d.YLEs;d.svY(j_le:end,1,2)];
d.stayvaneX=[d.svXp(end:-1:1);d.svXs];
d.stayvaneY=[d.svYp(end:-1:1);d.svYs];
for i=2:5
    d.stayvaneX(:,i)=d.stayvaneX(:,1);
    d.stayvaneY(:,i)=d.stayvaneY(:,1);
end
% Make matrix for stay vanes to have 3D profile
dz=d.B_sv;

d.stayvaneZ=zeros(size(d.stayvaneX));
for i=1:5
d.stayvaneZ(:,i)=g.HubZmat(1,1)+0.0005-dz*(i-1)/4;
end

i_sv=0;
set(gcf,'CurrentAxes', d.gvFig)
try delete(d.svplot); end
d.svplot=0;
hold on
for angle=0:2*pi/d.Z_sv:2*pi
        i_sv=i_sv+1;
        [theta r]=cart2pol(d.stayvaneX(:,1), d.stayvaneY(:,1));
        theta=theta+angle;
        [xsvplot ysvplot]=pol2cart(theta,r);
        d.svplot(i_sv)=plot(xsvplot,ysvplot,'k-');       
end
axis equal
% calcSC
end