function [XLE, YLE, ZLE]=leading(tmax, Xblade, Yblade, Zblade, ns)
tmax=max(tmax,0.006);
R=tmax/2;

Xp=Xblade(:,:,1);
Xs=Xblade(:,:,2);

Yp=Yblade(:,:,1);
Ys=Yblade(:,:,2);

Zp=Zblade(:,:,1);
Zs=Zblade(:,:,2);
XLE=zeros(44,ns);
YLE=XLE;
ZLE=XLE;
for j=1:ns

% step 1
Xa=Xp(1,j)-Xp(2,j);
Ya=Yp(1,j)-Yp(2,j);
Za=Zp(1,j)-Zp(2,j);

La=sqrt(Xa^2+Ya^2+Za^2);
Lb=R;

XLE(1,j)=Xp(1,j)-(Lb/La)*Xa;
YLE(1,j)=Yp(1,j)-(Lb/La)*Ya;
ZLE(1,j)=Zp(1,j)-(Lb/La)*Za;

% step 2
Xc=Xs(1,j)-Xs(2,j);
Yc=Ys(1,j)-Ys(2,j);
Zc=Zs(1,j)-Zs(2,j);

Lc=sqrt(Xc^2+Yc^2+Zc^2);
Ld=R;

XLE(2,j)=Xs(1,j)-(Ld/Lc)*Xc;
YLE(2,j)=Ys(1,j)-(Ld/Lc)*Yc;
ZLE(2,j)=Zs(1,j)-(Ld/Lc)*Zc;

% step 3
Xe=Xp(1,j)-Xs(1,j);
Ye=Yp(1,j)-Ys(1,j);
Ze=Zp(1,j)-Zs(1,j);

Le=sqrt(Xe^2+Ye^2+Ze^2);
Lf=R;

XLE(3,j)=Xp(1,j)-(Lf/Le)*Xe;
YLE(3,j)=Yp(1,j)-(Lf/Le)*Ye;
ZLE(3,j)=Zp(1,j)-(Lf/Le)*Ze;

% step 4
Xg=XLE(1,j)-XLE(2,j);
Yg=YLE(1,j)-YLE(2,j);
Zg=ZLE(1,j)-ZLE(2,j);

Lg=sqrt(Xg^2+Yg^2+Zg^2);
Lh=R;

XLE(4,j)=XLE(1,j)-(Lh/Lg)*Xg;
YLE(4,j)=YLE(1,j)-(Lh/Lg)*Yg;
ZLE(4,j)=ZLE(1,j)-(Lh/Lg)*Zg;

% step 5

Xh=XLE(1,j)-XLE(4,j);
Yh=YLE(1,j)-YLE(4,j);
Zh=ZLE(1,j)-ZLE(4,j);

Ll=R/6;

XLE(5,j)=XLE(4,j)+(Ll/Lh)*Xh;
YLE(5,j)=YLE(4,j)+(Ll/Lh)*Yh;
ZLE(5,j)=ZLE(4,j)+(Ll/Lh)*Zh;

XLE(6,j)=XLE(5,j)+(Ll/Lh)*Xh;
YLE(6,j)=YLE(5,j)+(Ll/Lh)*Yh;
ZLE(6,j)=ZLE(5,j)+(Ll/Lh)*Zh;

XLE(7,j)=XLE(6,j)+(Ll/Lh)*Xh;
YLE(7,j)=YLE(6,j)+(Ll/Lh)*Yh;
ZLE(7,j)=ZLE(6,j)+(Ll/Lh)*Zh;

XLE(8,j)=XLE(7,j)+(Ll/Lh)*Xh;
YLE(8,j)=YLE(7,j)+(Ll/Lh)*Yh;
ZLE(8,j)=ZLE(7,j)+(Ll/Lh)*Zh;

XLE(9,j)=XLE(8,j)+(Ll/Lh)*Xh;
YLE(9,j)=YLE(8,j)+(Ll/Lh)*Yh;
ZLE(9,j)=ZLE(8,j)+(Ll/Lh)*Zh;

XLE(10,j)=XLE(9,j)+(Ll/(2*Lh))*Xh;
YLE(10,j)=YLE(9,j)+(Ll/(2*Lh))*Yh;
ZLE(10,j)=ZLE(9,j)+(Ll/(2*Lh))*Zh;

XLE(11,j)=XLE(10,j)+(Ll/(4*Lh))*Xh;
YLE(11,j)=YLE(10,j)+(Ll/(4*Lh))*Yh;
ZLE(11,j)=ZLE(10,j)+(Ll/(4*Lh))*Zh;
% step 6
Xm=Xp(1,j)-XLE(3,j);
Ym=Yp(1,j)-YLE(3,j);
Zm=Zp(1,j)-ZLE(3,j);

Lm=sqrt(Xm^2+Ym^2+Zm^2);

XLE(12,j)=XLE(3,j)+(Ll/Lm)*Xh;
YLE(12,j)=YLE(3,j)+(Ll/Lm)*Yh;
ZLE(12,j)=ZLE(3,j)+(Ll/Lm)*Zh;

XLE(13,j)=XLE(12,j)+(Ll/Lm)*Xh;
YLE(13,j)=YLE(12,j)+(Ll/Lm)*Yh;
ZLE(13,j)=ZLE(12,j)+(Ll/Lm)*Zh;

XLE(14,j)=XLE(13,j)+(Ll/Lm)*Xh;
YLE(14,j)=YLE(13,j)+(Ll/Lm)*Yh;
ZLE(14,j)=ZLE(13,j)+(Ll/Lm)*Zh;

XLE(15,j)=XLE(14,j)+(Ll/Lm)*Xh;
YLE(15,j)=YLE(14,j)+(Ll/Lm)*Yh;
ZLE(15,j)=ZLE(14,j)+(Ll/Lm)*Zh;

XLE(16,j)=XLE(15,j)+(Ll/Lm)*Xh;
YLE(16,j)=YLE(15,j)+(Ll/Lm)*Yh;
ZLE(16,j)=ZLE(15,j)+(Ll/Lm)*Zh;

% step 7
Xpv=XLE(16,j)-XLE(9,j);
Ypv=YLE(16,j)-YLE(9,j);
Zpv=ZLE(16,j)-ZLE(9,j);

Lp=R;
Lq=sqrt(R^2-(R/6)^2);

XLE(17,j)=XLE(5,j)+(Lq/Lp)*Xpv;
YLE(17,j)=YLE(5,j)+(Lq/Lp)*Ypv;
ZLE(17,j)=ZLE(5,j)+(Lq/Lp)*Zpv;

Lq=sqrt(R^2-(2/6*R)^2);

XLE(18,j)=XLE(6,j)+(Lq/Lp)*Xpv;
YLE(18,j)=YLE(6,j)+(Lq/Lp)*Ypv;
ZLE(18,j)=ZLE(6,j)+(Lq/Lp)*Zpv;

Lq=sqrt(R^2-(3/6*R)^2);

XLE(19,j)=XLE(7,j)+(Lq/Lp)*Xpv;
YLE(19,j)=YLE(7,j)+(Lq/Lp)*Ypv;
ZLE(19,j)=ZLE(7,j)+(Lq/Lp)*Zpv;

Lq=sqrt(R^2-(4/6*R)^2);

XLE(20,j)=XLE(8,j)+(Lq/Lp)*Xpv;
YLE(20,j)=YLE(8,j)+(Lq/Lp)*Ypv;
ZLE(20,j)=ZLE(8,j)+(Lq/Lp)*Zpv;

Lq=sqrt(R^2-(5/6*R)^2);

XLE(21,j)=XLE(9,j)+(Lq/Lp)*Xpv;
YLE(21,j)=YLE(9,j)+(Lq/Lp)*Ypv;
ZLE(21,j)=ZLE(9,j)+(Lq/Lp)*Zpv;

Lq=sqrt(R^2-(11/12*R)^2);

XLE(22,j)=XLE(10,j)+(Lq/Lp)*Xpv;
YLE(22,j)=YLE(10,j)+(Lq/Lp)*Ypv;
ZLE(22,j)=ZLE(10,j)+(Lq/Lp)*Zpv;

Lq=sqrt(R^2-(23/24*R)^2);

XLE(23,j)=XLE(11,j)+(Lq/Lp)*Xpv;
YLE(23,j)=YLE(11,j)+(Lq/Lp)*Ypv;
ZLE(23,j)=ZLE(11,j)+(Lq/Lp)*Zpv;

% suction side
% step 8
Xsa=Xp(1,j)-Xp(3,j);
Ysa=Yp(1,j)-Yp(3,j);
Zsa=Zp(1,j)-Zp(3,j);
Lsa=sqrt(Xsa^2+Ysa^2+Zsa^2);
Lsb=3*R;

XLE(24,j)=Xp(1,j)-(Lsb/Lsa)*Xsa;
YLE(24,j)=Yp(1,j)-(Lsb/Lsa)*Ysa;
ZLE(24,j)=Zp(1,j)-(Lsb/Lsa)*Zsa;

% step 9
Xsc=Xs(1,j)-Xs(3,j);
Ysc=Ys(1,j)-Ys(3,j);
Zsc=Zs(1,j)-Zs(3,j);

Lsc=sqrt(Xsc^2+Ysc^2+Zsc^2);
Lsd=3*R;

XLE(25,j)=Xs(1,j)-(Lsd/Lsc)*Xsc;
YLE(25,j)=Ys(1,j)-(Lsd/Lsc)*Ysc;
ZLE(25,j)=Zs(1,j)-(Lsd/Lsc)*Zsc;

% step 10
Xsg=XLE(24,j)-XLE(25,j);
Ysg=YLE(24,j)-YLE(25,j);
Zsg=ZLE(24,j)-ZLE(25,j);

Lsg=sqrt(Xsg^2+Ysg^2+Zsg^2);
Lsh=R;

XLE(26,j)=XLE(25,j)+(Lsh/Lsg)*Xsg;
YLE(26,j)=YLE(25,j)+(Lsh/Lsg)*Ysg;
ZLE(26,j)=ZLE(25,j)+(Lsh/Lsg)*Zsg;

% step 11
Xsh=XLE(26,j)-XLE(25,j);
Ysh=YLE(26,j)-YLE(25,j);
Zsh=ZLE(26,j)-ZLE(25,j);

Lsl=R/6;

XLE(27,j)=XLE(25,j)+(Lsl/(2*Lsh))*Xsh;
YLE(27,j)=YLE(25,j)+(Lsl/(2*Lsh))*Ysh;
ZLE(27,j)=ZLE(25,j)+(Lsl/(2*Lsh))*Zsh;

XLE(28,j)=XLE(27,j)+(Lsl/(2*Lsh))*Xsh;
YLE(28,j)=YLE(27,j)+(Lsl/(2*Lsh))*Ysh;
ZLE(28,j)=ZLE(27,j)+(Lsl/(2*Lsh))*Zsh;

XLE(29,j)=XLE(28,j)+(Lsl/Lsh)*Xsh;
YLE(29,j)=YLE(28,j)+(Lsl/Lsh)*Ysh;
ZLE(29,j)=ZLE(28,j)+(Lsl/Lsh)*Zsh;

XLE(30,j)=XLE(29,j)+(Lsl/Lsh)*Xsh;
YLE(30,j)=YLE(29,j)+(Lsl/Lsh)*Ysh;
ZLE(30,j)=ZLE(29,j)+(Lsl/Lsh)*Zsh;

XLE(31,j)=XLE(30,j)+(Lsl/Lsh)*Xsh;
YLE(31,j)=YLE(30,j)+(Lsl/Lsh)*Ysh;
ZLE(31,j)=ZLE(30,j)+(Lsl/Lsh)*Zsh;

XLE(32,j)=XLE(31,j)+(Lsl/Lsh)*Xsh;
YLE(32,j)=YLE(31,j)+(Lsl/Lsh)*Ysh;
ZLE(32,j)=ZLE(31,j)+(Lsl/Lsh)*Zsh;


% step 12
Xsm=XLE(3,j)-Xs(1,j);
Ysm=YLE(3,j)-Ys(1,j);
Zsm=ZLE(3,j)-Zs(1,j);

Lsm=R;
Lsn=R/6;

XLE(33,j)=Xs(1,j)+(Lsn/(2*Lsm))*Xsm;
YLE(33,j)=Ys(1,j)+(Lsn/(2*Lsm))*Ysm;
ZLE(33,j)=Zs(1,j)+(Lsn/(2*Lsm))*Zsm;

XLE(34,j)=XLE(33,j)+(Lsn/(2*Lsm))*Xsm;
YLE(34,j)=YLE(33,j)+(Lsn/(2*Lsm))*Ysm;
ZLE(34,j)=ZLE(33,j)+(Lsn/(2*Lsm))*Zsm;

XLE(35,j)=XLE(34,j)+(Lsn/Lsm)*Xsm;
YLE(35,j)=YLE(34,j)+(Lsn/Lsm)*Ysm;
ZLE(35,j)=ZLE(34,j)+(Lsn/Lsm)*Zsm;

XLE(36,j)=XLE(35,j)+(Lsn/Lsm)*Xsm;
YLE(36,j)=YLE(35,j)+(Lsn/Lsm)*Ysm;
ZLE(36,j)=ZLE(35,j)+(Lsn/Lsm)*Zsm;

XLE(37,j)=XLE(36,j)+(Lsn/Lsm)*Xsm;
YLE(37,j)=YLE(36,j)+(Lsn/Lsm)*Ysm;
ZLE(37,j)=ZLE(36,j)+(Lsn/Lsm)*Zsm;

XLE(38,j)=XLE(37,j)+(Lsn/Lsm)*Xsm;
YLE(38,j)=YLE(37,j)+(Lsn/Lsm)*Ysm;
ZLE(38,j)=ZLE(37,j)+(Lsn/Lsm)*Zsm;

% step 13
Xsp=XLE(33,j)-XLE(27,j);
Ysp=YLE(33,j)-YLE(27,j);
Zsp=ZLE(33,j)-ZLE(27,j);

Lsp=sqrt(Xsp^2+Ysp^2+Zsp^2);
a=R; b=3*R; %elliptic parameters
x=R-R/12;
Lsq=sqrt((1-(x^2)/(a^2))*b^2);

XLE(39,j)=XLE(27,j)+(Lsq/Lsp)*Xsp;
YLE(39,j)=YLE(27,j)+(Lsq/Lsp)*Ysp;
ZLE(39,j)=ZLE(27,j)+(Lsq/Lsp)*Zsp;

x=R-R/6;
Lsq=sqrt((1-((x^2)/(a^2)))*b^2);
XLE(40,j)=XLE(28,j)+(Lsq/Lsp)*Xsp;
YLE(40,j)=YLE(28,j)+(Lsq/Lsp)*Ysp;
ZLE(40,j)=ZLE(28,j)+(Lsq/Lsp)*Zsp;        

x=R-2*R/6;
Lsq=sqrt((1-((x^2)/(a^2)))*b^2);
XLE(41,j)=XLE(29,j)+(Lsq/Lsp)*Xsp;
YLE(41,j)=YLE(29,j)+(Lsq/Lsp)*Ysp;
ZLE(41,j)=ZLE(29,j)+(Lsq/Lsp)*Zsp;  

x=R-3*R/6;
Lsq=sqrt((1-((x^2)/(a^2)))*b^2);
XLE(42,j)=XLE(30,j)+(Lsq/Lsp)*Xsp;
YLE(42,j)=YLE(30,j)+(Lsq/Lsp)*Ysp;
ZLE(42,j)=ZLE(30,j)+(Lsq/Lsp)*Zsp;  

x=R-4*R/6;
Lsq=sqrt((1-((x^2)/(a^2)))*b^2);
XLE(43,j)=XLE(31,j)+(Lsq/Lsp)*Xsp;
YLE(43,j)=YLE(31,j)+(Lsq/Lsp)*Ysp;
ZLE(43,j)=ZLE(31,j)+(Lsq/Lsp)*Zsp;  

x=R-5*R/6;
Lsq=sqrt((1-((x^2)/(a^2)))*b^2);
XLE(44,j)=XLE(32,j)+(Lsq/Lsp)*Xsp;
YLE(44,j)=YLE(32,j)+(Lsq/Lsp)*Ysp;
ZLE(44,j)=ZLE(32,j)+(Lsq/Lsp)*Zsp;  
end

end