function [XLE, YLE]=leadingsv(tmax, Xblade, Yblade)
tmax=max(tmax,0.006);
R=tmax/2;

Xp=Xblade(:,:,1);
Xs=Xblade(:,:,2);

Yp=Yblade(:,:,1);
Ys=Yblade(:,:,2);

XLE=zeros(46,1);
YLE=XLE;

for j=1:1

% step 1
Xa=Xp(1,j)-Xp(2,j);
Ya=Yp(1,j)-Yp(2,j);

La=sqrt(Xa^2+Ya^2);
Lb=R;

XLE(1,j)=Xp(1,j)-(Lb/La)*Xa;
YLE(1,j)=Yp(1,j)-(Lb/La)*Ya;

% step 2
Xc=Xs(1,j)-Xs(2,j);
Yc=Ys(1,j)-Ys(2,j);

Lc=sqrt(Xc^2+Yc^2);
Ld=R;

XLE(2,j)=Xs(1,j)-(Ld/Lc)*Xc;
YLE(2,j)=Ys(1,j)-(Ld/Lc)*Yc;

% step 3
Xe=Xp(1,j)-Xs(1,j);
Ye=Yp(1,j)-Ys(1,j);

Le=sqrt(Xe^2+Ye^2);
Lf=R;

XLE(3,j)=Xp(1,j)-(Lf/Le)*Xe;
YLE(3,j)=Yp(1,j)-(Lf/Le)*Ye;

% step 4
Xg=XLE(1,j)-XLE(2,j);
Yg=YLE(1,j)-YLE(2,j);

Lg=sqrt(Xg^2+Yg^2);
Lh=R;

XLE(4,j)=XLE(1,j)-(Lh/Lg)*Xg;
YLE(4,j)=YLE(1,j)-(Lh/Lg)*Yg;

% step 5

Xh=XLE(1,j)-XLE(4,j);
Yh=YLE(1,j)-YLE(4,j);

Ll=R/6;

XLE(5,j)=XLE(4,j)+(Ll/Lh)*Xh;
YLE(5,j)=YLE(4,j)+(Ll/Lh)*Yh;

XLE(6,j)=XLE(5,j)+(Ll/Lh)*Xh;
YLE(6,j)=YLE(5,j)+(Ll/Lh)*Yh;

XLE(7,j)=XLE(6,j)+(Ll/Lh)*Xh;
YLE(7,j)=YLE(6,j)+(Ll/Lh)*Yh;

XLE(8,j)=XLE(7,j)+(Ll/Lh)*Xh;
YLE(8,j)=YLE(7,j)+(Ll/Lh)*Yh;

XLE(9,j)=XLE(8,j)+(Ll/Lh)*Xh;
YLE(9,j)=YLE(8,j)+(Ll/Lh)*Yh;

XLE(10,j)=XLE(9,j)+(Ll/(2*Lh))*Xh;
YLE(10,j)=YLE(9,j)+(Ll/(2*Lh))*Yh;

XLE(11,j)=XLE(10,j)+(Ll/(4*Lh))*Xh;
YLE(11,j)=YLE(10,j)+(Ll/(4*Lh))*Yh;

% step 6
Xm=Xp(1,j)-XLE(3,j);
Ym=Yp(1,j)-YLE(3,j);

Lm=sqrt(Xm^2+Ym^2);

XLE(12,j)=XLE(3,j)+(Ll/Lm)*Xh;
YLE(12,j)=YLE(3,j)+(Ll/Lm)*Yh;

XLE(13,j)=XLE(12,j)+(Ll/Lm)*Xh;
YLE(13,j)=YLE(12,j)+(Ll/Lm)*Yh;

XLE(14,j)=XLE(13,j)+(Ll/Lm)*Xh;
YLE(14,j)=YLE(13,j)+(Ll/Lm)*Yh;

XLE(15,j)=XLE(14,j)+(Ll/Lm)*Xh;
YLE(15,j)=YLE(14,j)+(Ll/Lm)*Yh;

XLE(16,j)=XLE(15,j)+(Ll/Lm)*Xh;
YLE(16,j)=YLE(15,j)+(Ll/Lm)*Yh;

% step 7
Xpv=XLE(16,j)-XLE(9,j);
Ypv=YLE(16,j)-YLE(9,j);

Lp=R;
Lq=sqrt(R^2-(R/6)^2);

XLE(17,j)=XLE(5,j)+(Lq/Lp)*Xpv;
YLE(17,j)=YLE(5,j)+(Lq/Lp)*Ypv;

Lq=sqrt(R^2-(2/6*R)^2);

XLE(18,j)=XLE(6,j)+(Lq/Lp)*Xpv;
YLE(18,j)=YLE(6,j)+(Lq/Lp)*Ypv;

Lq=sqrt(R^2-(3/6*R)^2);

XLE(19,j)=XLE(7,j)+(Lq/Lp)*Xpv;
YLE(19,j)=YLE(7,j)+(Lq/Lp)*Ypv;

Lq=sqrt(R^2-(4/6*R)^2);

XLE(20,j)=XLE(8,j)+(Lq/Lp)*Xpv;
YLE(20,j)=YLE(8,j)+(Lq/Lp)*Ypv;

Lq=sqrt(R^2-(5/6*R)^2);

XLE(21,j)=XLE(9,j)+(Lq/Lp)*Xpv;
YLE(21,j)=YLE(9,j)+(Lq/Lp)*Ypv;

Lq=sqrt(R^2-(11/12*R)^2);

XLE(22,j)=XLE(10,j)+(Lq/Lp)*Xpv;
YLE(22,j)=YLE(10,j)+(Lq/Lp)*Ypv;

Lq=sqrt(R^2-(23/24*R)^2);

XLE(23,j)=XLE(11,j)+(Lq/Lp)*Xpv;
YLE(23,j)=YLE(11,j)+(Lq/Lp)*Ypv;

% % suction side

% step 1
Xa=Xs(1,j)-Xs(2,j);
Ya=Ys(1,j)-Ys(2,j);


La=sqrt(Xa^2+Ya^2);
Lb=R;

XLE(24,j)=Xs(1,j)-(Lb/La)*Xa;
YLE(24,j)=Ys(1,j)-(Lb/La)*Ya;

% step 2
Xc=Xp(1,j)-Xp(2,j);
Yc=Yp(1,j)-Yp(2,j);

Lc=sqrt(Xc^2+Yc^2);
Ld=R;

XLE(25,j)=Xp(1,j)-(Ld/Lc)*Xc;
YLE(25,j)=Yp(1,j)-(Ld/Lc)*Yc;

% step 3
Xe=Xs(1,j)-Xp(1,j);
Ye=Ys(1,j)-Yp(1,j);

Le=sqrt(Xe^2+Ye^2);
Lf=R;

XLE(26,j)=Xs(1,j)-(Lf/Le)*Xe;
YLE(26,j)=Ys(1,j)-(Lf/Le)*Ye;

% step 4
Xg=XLE(24,j)-XLE(25,j);
Yg=YLE(24,j)-YLE(25,j);

Lg=sqrt(Xg^2+Yg^2);
Lh=R;

XLE(27,j)=XLE(24,j)-(Lh/Lg)*Xg;
YLE(27,j)=YLE(24,j)-(Lh/Lg)*Yg;

% step 5

Xh=XLE(24,j)-XLE(27,j);
Yh=YLE(24,j)-YLE(27,j);

Ll=R/6;

XLE(28,j)=XLE(27,j)+(Ll/Lh)*Xh;
YLE(28,j)=YLE(27,j)+(Ll/Lh)*Yh;

XLE(29,j)=XLE(28,j)+(Ll/Lh)*Xh;
YLE(29,j)=YLE(28,j)+(Ll/Lh)*Yh;

XLE(30,j)=XLE(29,j)+(Ll/Lh)*Xh;
YLE(30,j)=YLE(29,j)+(Ll/Lh)*Yh;

XLE(31,j)=XLE(30,j)+(Ll/Lh)*Xh;
YLE(31,j)=YLE(30,j)+(Ll/Lh)*Yh;

XLE(32,j)=XLE(31,j)+(Ll/Lh)*Xh;
YLE(32,j)=YLE(31,j)+(Ll/Lh)*Yh;

XLE(33,j)=XLE(32,j)+(Ll/(2*Lh))*Xh;
YLE(33,j)=YLE(32,j)+(Ll/(2*Lh))*Yh;

XLE(34,j)=XLE(33,j)+(Ll/(4*Lh))*Xh;
YLE(34,j)=YLE(33,j)+(Ll/(4*Lh))*Yh;

% step 6
Xm=Xs(1,j)-XLE(26,j);
Ym=Ys(1,j)-YLE(26,j);

Lm=sqrt(Xm^2+Ym^2);

XLE(35,j)=XLE(26,j)+(Ll/Lm)*Xh;
YLE(35,j)=YLE(26,j)+(Ll/Lm)*Yh;

XLE(36,j)=XLE(35,j)+(Ll/Lm)*Xh;
YLE(36,j)=YLE(35,j)+(Ll/Lm)*Yh;

XLE(37,j)=XLE(36,j)+(Ll/Lm)*Xh;
YLE(37,j)=YLE(36,j)+(Ll/Lm)*Yh;

XLE(38,j)=XLE(37,j)+(Ll/Lm)*Xh;
YLE(38,j)=YLE(37,j)+(Ll/Lm)*Yh;

XLE(39,j)=XLE(38,j)+(Ll/Lm)*Xh;
YLE(39,j)=YLE(38,j)+(Ll/Lm)*Yh;

% step 7
Xpv=XLE(39,j)-XLE(32,j);
Ypv=YLE(39,j)-YLE(32,j);

Lp=R;
Lq=sqrt(R^2-(R/6)^2);

XLE(40,j)=XLE(28,j)+(Lq/Lp)*Xpv;
YLE(40,j)=YLE(28,j)+(Lq/Lp)*Ypv;

Lq=sqrt(R^2-(2/6*R)^2);

XLE(41,j)=XLE(29,j)+(Lq/Lp)*Xpv;
YLE(41,j)=YLE(29,j)+(Lq/Lp)*Ypv;

Lq=sqrt(R^2-(3/6*R)^2);

XLE(42,j)=XLE(30,j)+(Lq/Lp)*Xpv;
YLE(42,j)=YLE(30,j)+(Lq/Lp)*Ypv;

Lq=sqrt(R^2-(4/6*R)^2);

XLE(43,j)=XLE(31,j)+(Lq/Lp)*Xpv;
YLE(43,j)=YLE(31,j)+(Lq/Lp)*Ypv;

Lq=sqrt(R^2-(5/6*R)^2);

XLE(44,j)=XLE(32,j)+(Lq/Lp)*Xpv;
YLE(44,j)=YLE(32,j)+(Lq/Lp)*Ypv;

Lq=sqrt(R^2-(11/12*R)^2);

XLE(45,j)=XLE(33,j)+(Lq/Lp)*Xpv;
YLE(45,j)=YLE(33,j)+(Lq/Lp)*Ypv;

Lq=sqrt(R^2-(23/24*R)^2);

XLE(46,j)=XLE(34,j)+(Lq/Lp)*Xpv;
YLE(46,j)=YLE(34,j)+(Lq/Lp)*Ypv;
end

end