function plotDistribution(init,i)
global f g
switch i
    case 1
        set(gcf,'CurrentAxes',f.changeDist)
        try delete(f.changePlot);end 
        hold on
        f.changePlot=plot(f.BDist(:,1),f.BDist(:,2));
        ylabel('Distribution relative to inlet')
        xlabel('Outlet                                                                                             Inlet')
        if init;
            try delete(f.PointPlot);end
            try delete(f.DotPlot);end
            f.PointPlot=plot(f.point(:,1,1),f.point(:,2,1),'marker','s','markersize',5,'markerfacecolor','k','linestyle','none');
        end
        
        EnergyDistribution
        
        % Plotting Hub
        set(gcf,'CurrentAxes',f.hubDist);
        try delete(f.hubPlot);end
        hold on
        f.hubPlot=plot(f.BDist(:,1),f.UCuRelativemat(:,end),'r-+',f.BDist(:,1),f.Wmat(:,end)/f.Wmat(1,end),...
        'g-',f.BDist(:,1),f.Umat(:,end)/f.Umat(1,end),'b-',f.BDist(:,1),f.Cumat(:,end)/f.Cumat(1,end),'k-',...
        f.BDist(:,1),f.c_mMat(:,end)/f.c_mMat(1,end),'c-');
        legend ('U*cu','w','U','cu','cm','Location','EastOutside');      
        
        % Plotting Center
        set(gcf,'CurrentAxes',f.centerDist);
        try delete(f.centerPlot);end
        hold on
        line=round(get(g.nsSlider,'Value')/2);
        f.centerPlot=plot(f.BDist(:,1),f.UCuRelativemat(:,line),'r-+',f.BDist(:,1),f.Wmat(:,line)/f.Wmat(1,line),...
        'g-',f.BDist(:,1),f.Umat(:,line)/f.Umat(1,line),'b-',f.BDist(:,1),f.Cumat(:,line)/f.Cumat(1,line),'k-',...
        f.BDist(:,1),f.c_mMat(:,line)/f.c_mMat(1,line),'c-');
        legend ('U*cu','w','U','cu','cm','Location','EastOutside');
        
        % Plotting Shroud
        set(gcf,'CurrentAxes',f.shroudDist);
        try delete(f.shroudPlot);end
        hold on

        f.shroudPlot=plot(f.BDist(:,1),f.UCuRelativemat(:,1),'r-+',f.BDist(:,1),f.Wmat(:,1)/f.Wmat(1,1),...
        'g-',f.BDist(:,1),f.Umat(:,1)/f.Umat(1,1),'b-',f.BDist(:,1),f.Cumat(:,1)/f.Cumat(1,1),'k-',...
        f.BDist(:,1),f.c_mMat(:,1)/f.c_mMat(1,1),'c-');
        legend ('U*cu','w','U','cu','cm','Location','EastOutside');        
        set(gcf,'CurrentAxes',f.GHplaneAxes);
        try delete(f.GHPlot);end
        hold on
        f.GHPlot=plot(-f.Hmat,-f.Gmat,'k-');
        
        
    case 2
        set(gcf,'CurrentAxes',f.changeDist)
        try delete(f.changePlot);end 
        hold on
        f.changePlot=plot(f.BDist(:,1),f.BDist(:,2));
        if init;
            try delete(f.PointPlot);end
            try delete(f.DotPlot);end
            f.PointPlot=plot(f.point(:,1,2),f.point(:,2,2),'marker','s','markersize',5,'markerfacecolor','k','linestyle','none');
        end
        
        BetaDistribution

        % Plotting Hub
        set(gcf,'CurrentAxes',f.hubDist);
        try delete(f.hubPlot);end
        hold on
        f.hubPlot=plot(f.BDist(:,1),f.UCumat(:,end)/f.UCumat(1,end),'r-+',f.BDist(:,1),f.Wmat(:,end)/f.Wmat(1,end),...
        'g-',f.BDist(:,1),f.Umat(:,end)/f.Umat(1,end),'b-',f.BDist(:,1),f.Cumat(:,end)/f.Cumat(1,end),'k-',...
        f.BDist(:,1),f.c_mMat(:,end)/f.c_mMat(1,end),'c-');
        legend ('U*cu','w','U','cu','cm','Location','EastOutside');
        
        % Plotting Center
        set(gcf,'CurrentAxes',f.centerDist);
        try delete(f.centerPlot);end
        hold on
        line=round(get(g.nsSlider,'Value')/2);
        f.centerPlot=plot(f.BDist(:,1),f.UCumat(:,line)/f.UCumat(1,line),'r-+',f.BDist(:,1),f.Wmat(:,line)/f.Wmat(1,line),...
        'g-',f.BDist(:,1),f.Umat(:,line)/f.Umat(1,line),'b-',f.BDist(:,1),f.Cumat(:,line)/f.Cumat(1,line),'k-',...
        f.BDist(:,1),f.c_mMat(:,line)/f.c_mMat(1,line),'c-');
        legend ('U*cu','w','U','cu','cm','Location','EastOutside');
        
        % Plotting Shroud
        set(gcf,'CurrentAxes',f.shroudDist);
        try delete(f.shroudPlot);end
        hold on
        f.shroudPlot=plot(f.BDist(:,1),f.UCumat(:,1)/f.UCumat(1,1),'r-+',f.BDist(:,1),f.Wmat(:,1)/f.Wmat(1,1),...
        'g-',f.BDist(:,1),f.Umat(:,1)/f.Umat(1,1),'b-',f.BDist(:,1),f.Cumat(:,1)/f.Cumat(1,1),'k-',...
        f.BDist(:,1),f.c_mMat(:,1)/f.c_mMat(1,1),'c-');
        legend ('U*cu','w','U','cu','cm','Location','EastOutside');
        
        set(gcf,'CurrentAxes',f.GHplaneAxes);
        try delete(f.GHPlot);end
        hold on
        f.GHPlot=plot(-f.Hmat,-f.Gmat,'k-');    
end

end
function BetaDistribution
global f 
[Point,Line]=size(f.Rmat);
f.beta_1vect=zeros(1,Line);
f.deltabetaRelative=zeros(Point,Line);
f.deltabeta=zeros(Point,Line);
for L=1:Line
    f.beta_1vect(L)=f.beta_1*pi/180;
    f.deltabetaRelative(:,L)=f.BDist(:,2);
    for P=2:Point
        f.Gmat(P,L)=f.Gmat(P-1,L)+sqrt((f.Rmat(P-1,L)-f.Rmat(P,L))^2+(f.Zmat(P-1,L)-f.Zmat(P,L))^2);
    end
end  
f.beta_2vect=atan(f.c_mMat(end,:)./(f.omega.*f.Rmat(end,:)));
f.deltabetavect=f.beta_1vect-f.beta_2vect;
for L=1:Line
    f.deltabeta(:,L)=f.deltabetaRelative(:,L).*f.deltabetavect(1,L);
    f.beta(:,L)=f.deltabeta(:,L)+f.beta_2vect(1,L);
end
for L=1:Line
    for P=2:Point
        deltaG=f.Gmat(P,L)-f.Gmat(P-1,L);
        deltaH=deltaG/tan(f.beta(P,L));
        f.Hmat(P,L)=f.Hmat(P-1,L)+deltaH;
    end
end
f.Umat=f.omega.*f.Rmat;
f.Cumat=f.Umat-f.c_mMat./tan(f.beta);
f.Wmat=((f.Umat-f.Cumat).^2+f.c_mMat.^2).^(1/2);
f.UCumat=f.Umat.*f.Cumat;
end
function EnergyDistribution
global f 
[Point,Line]=size(f.Rmat);
Relative=f.u_1*f.c_u1;

f.Umat=f.omega.*f.Rmat;
f.UCuRelativemat=zeros(Point,Line);
for L=1:Line
    f.UCuRelativemat(:,L)=f.BDist(:,2);
end
f.UCumat=f.UCuRelativemat.*Relative; 
f.Cumat=f.UCumat./f.Umat;
f.Wumat=f.Umat-f.Cumat;
for L=1:Line    
    for P=1:Point
        if f.Wumat(P,L)>0
            f.beta(P,L)=atand(f.c_mMat(P,L)/(f.Wumat(P,L)));
        else
            f.beta(P,L)=180+atand(f.c_mMat(P,L)/(f.Wumat(P,L)));
        end
         
    end
end
f.Wmat=f.c_mMat./(sind(f.beta));  
for L=1:Line    
    for P=2:Point
        f.Gmat(P,L)=f.Gmat(P-1,L)+sqrt((f.Rmat(P-1,L)-f.Rmat(P,L))^2+(f.Zmat(P-1,L)-f.Zmat(P,L))^2);
        deltaG=f.Gmat(P,L)-f.Gmat(P-1,L);
        deltaH=deltaG/tand(f.beta(P,L));
        f.Hmat(P,L)=f.Hmat(P-1,L)+deltaH;
    end
end
end
