function plotthickness(tmax,tout,X,Y,Z,np,ns)
global c e g
Xex=X;Yex=Y; Zex=Z;
% [Xex,Yex,Zex]=extrapolate(X,Y,Z);
[Xny,Yny,Zny,T]=thickness(tmax,tout,Xex,Yex,Zex,np,ns);
c.Xlines=Xny;
c.Ylines=Yny;
c.Zlines=Zny;
[Xle,Yle,Zle]=leading(tmax,Xny,Yny,Zny,ns);
[Xte,Yte,Zte]=trailing(tout,Xny,Yny,Zny,ns);

% matrix for the blade, from leading edge to leading edge on each streamline
c.bladeX=[Xte(1,:);Xte(11,:);Xte(8,:);Xte(10,:);Xte(2,:);Xte(4,:);Xte(6,:);Xny(end-1:-1:3,:,2);Xle(25,:);Xle(39,:);Xle(40,:);Xle(41,:);Xle(42,:);Xle(43,:);Xle(44,:);Xle(3,:);Xle(17,:);Xle(18,:);Xle(19,:);Xle(20,:);Xle(21,:);Xle(22,:);Xle(23,:);Xle(1,:);Xny(3:end-1,:,1);Xte(7,:);Xte(5,:);Xte(3,:);Xte(9,:);Xny(end,:,1);Xte(1,:)];
c.bladeY=[Yte(1,:);Yte(11,:);Yte(8,:);Yte(10,:);Yte(2,:);Yte(4,:);Yte(6,:);Yny(end-1:-1:3,:,2);Yle(25,:);Yle(39,:);Yle(40,:);Yle(41,:);Yle(42,:);Yle(43,:);Yle(44,:);Yle(3,:);Yle(17,:);Yle(18,:);Yle(19,:);Yle(20,:);Yle(21,:);Yle(22,:);Yle(23,:);Yle(1,:);Yny(3:end-1,:,1);Yte(7,:);Yte(5,:);Yte(3,:);Yte(9,:);Yny(end,:,1);Yte(1,:)];
c.bladeZ=[Zte(1,:);Zte(11,:);Zte(8,:);Zte(10,:);Zte(2,:);Zte(4,:);Zte(6,:);Zny(end-1:-1:3,:,2);Zle(25,:);Zle(39,:);Zle(40,:);Zle(41,:);Zle(42,:);Zle(43,:);Zle(44,:);Zle(3,:);Zle(17,:);Zle(18,:);Zle(19,:);Zle(20,:);Zle(21,:);Zle(22,:);Zle(23,:);Zle(1,:);Zny(3:end-1,:,1);Zte(7,:);Zte(5,:);Zte(3,:);Zte(9,:);Zny(end,:,1);Zte(1,:)];
set(gcf,'CurrentAxes',c.BladeFig);

try delete(c.Bladeplot); end
c.Bladeplot=0;
c.Bladeplot=surf(c.bladeX,c.bladeY,c.bladeZ,'facecolor',[0.9 0.9 0.9]);
hold on

% hubmatrix 
    try delete(c.hubplot); end
    c.hubplot=0;
    i=0;x=0;y=0;z=0;
    [p,s]=size(e.Xmat(:,end));
    c.hubXmat=zeros(p+1,2);
    c.hubYmat=zeros(p+1,2);
    c.hubZmat=zeros(p+1,2);
    for angle=-pi/e.Z_rc:2*pi/e.Z_rc:pi/e.Z_rc
        i=i+1;
        [theta r z]=cart2pol(e.Xmat(:,end),e.Ymat(:,end),e.Zmat(:,end));  % runner hub contour 
        [~ , ~, zs]=cart2pol(e.Xmat(:,1),e.Ymat(:,1),e.Zmat(:,1));        % runner shroud contour 
        theta=theta+angle;
        [c.hubXmat(1:end-1,i) c.hubYmat(1:end-1,i) c.hubZmat(1:end-1,i)]=pol2cart(theta,r,z);
        c.hubXmat(end,i)=0.001;
        c.hubYmat(end,i)=0.001;
        c.hubZmat(end,i)=zs(end,1)-zs(end,1)/5;
    end
    
% shroudmatrix
    try delete(c.shroudplot); end
    c.shroudplot=0;    
    i=0;x=0;y=0;z=0;
    c.shroudXmat=zeros(p+1,2);
    c.shroudYmat=zeros(p+1,2);
    c.shroudZmat=zeros(p+1,2);
    for angle=-pi/e.Z_rc:2*pi/e.Z_rc:pi/e.Z_rc
        i=i+1;
        [theta r z]=cart2pol(e.Xmat(:,1),e.Ymat(:,1),e.Zmat(:,1));        % runner shroud contour 
        theta=theta+angle;
        [c.shroudXmat(1:end-1,i) c.shroudYmat(1:end-1,i) c.shroudZmat(1:end-1,i)]=pol2cart(theta,r,z);
        c.shroudXmat(end,i)=c.shroudXmat(end-1,i);
        c.shroudYmat(end,i)=c.shroudYmat(end-1,i);
        c.shroudZmat(end,i)=c.shroudZmat(end-1,i)-c.shroudZmat(end-1,i)/5;
    end
    Ldrafttube=c.shroudZmat(1,1)*3;
    i=0;
    c.hubdrafttubeX=ones(10,2).*0.001;
    c.hubdrafttubeY=ones(10,2).*0.001;
    c.hubdrafttubeZ=[1*Ldrafttube/10 1*Ldrafttube/10;...
                     2*Ldrafttube/10 2*Ldrafttube/10;...
                     3*Ldrafttube/10 3*Ldrafttube/10;...
                     4*Ldrafttube/10 4*Ldrafttube/10;...
                     5*Ldrafttube/10 5*Ldrafttube/10;...
                     6*Ldrafttube/10 6*Ldrafttube/10;...
                     7*Ldrafttube/10 7*Ldrafttube/10;...
                     8*Ldrafttube/10 8*Ldrafttube/10;...
                     9*Ldrafttube/10 9*Ldrafttube/10;...
                     10*Ldrafttube/10 10*Ldrafttube/10;];

    c.hubX=[c.hubXmat;c.hubdrafttubeX];
    c.hubY=[c.hubYmat;c.hubdrafttubeY];
    c.hubZ=[c.hubZmat;-c.hubdrafttubeZ];
    
    c.hubplot=plot3(c.hubX,c.hubY,c.hubZ,'b'); 
    c.shrouddrafttubeX=[c.shroudXmat(end,1) c.shroudXmat(end,2);...
                        c.shroudXmat(end,1) c.shroudXmat(end,2);...
                        c.shroudXmat(end,1) c.shroudXmat(end,2);...
                        c.shroudXmat(end,1) c.shroudXmat(end,2);...
                        c.shroudXmat(end,1) c.shroudXmat(end,2);...
                        c.shroudXmat(end,1) c.shroudXmat(end,2);...
                        c.shroudXmat(end,1) c.shroudXmat(end,2);...
                        c.shroudXmat(end,1) c.shroudXmat(end,2);...
                        c.shroudXmat(end,1) c.shroudXmat(end,2);...
                        c.shroudXmat(end,1) c.shroudXmat(end,2)];
    c.shrouddrafttubeY=[c.shroudYmat(end,1) c.shroudYmat(end,2);...
                        c.shroudYmat(end,1) c.shroudYmat(end,2);...
                        c.shroudYmat(end,1) c.shroudYmat(end,2);...
                        c.shroudYmat(end,1) c.shroudYmat(end,2);...
                        c.shroudYmat(end,1) c.shroudYmat(end,2);...
                        c.shroudYmat(end,1) c.shroudYmat(end,2);...
                        c.shroudYmat(end,1) c.shroudYmat(end,2);...
                        c.shroudYmat(end,1) c.shroudYmat(end,2);...
                        c.shroudYmat(end,1) c.shroudYmat(end,2);...
                        c.shroudYmat(end,1) c.shroudYmat(end,2)];
    c.shroudX=[c.shroudXmat;c.shrouddrafttubeX];
    c.shroudY=[c.shroudYmat;c.shrouddrafttubeY];
    c.shroudZ=[c.shroudZmat;-c.hubdrafttubeZ];    
    c.shroudplot=plot3(c.shroudX,c.shroudY,c.shroudZ,'b');
hubX=[g.HubXmat;0.001;0.001;0.001;0.001;0.001;0.001];
hubY=[g.HubYmat;0.001;0.001;0.001;0.001;0.001;0.001];
Ldraft=e.Zmat(1,1)-e.Zmat(end,1);
hubZ=[g.HubZmat; e.Zmat(end,1)-1*Ldraft/6; e.Zmat(end,1)-2*Ldraft/6; e.Zmat(end,1)-3*Ldraft/6; e.Zmat(end,1)-4*Ldraft/6; e.Zmat(end,1)-5*Ldraft/6; e.Zmat(end,1)-6*Ldraft/6];
shroudX=[e.Xmat(:,1);e.Xmat(end,1);e.Xmat(end,1);e.Xmat(end,1);e.Xmat(end,1);e.Xmat(end,1);e.Xmat(end,1)];
shroudY=[e.Ymat(:,1);e.Ymat(end,1);e.Ymat(end,1);e.Ymat(end,1);e.Ymat(end,1);e.Ymat(end,1);e.Ymat(end,1)];
shroudZ=[e.Zmat(:,1);e.Zmat(end,1)-1*Ldraft/6;e.Zmat(end,1)-2*Ldraft/6;e.Zmat(end,1)-3*Ldraft/6;e.Zmat(end,1)-4*Ldraft/6;e.Zmat(end,1)-5*Ldraft/6;e.Zmat(end,1)-6*Ldraft/6];    
try delete(c.shroudplot2); end
    c.shroudplot2=plot3(shroudX,shroudY,shroudZ,'m');
    try delete(c.hubplot2); end
    c.hubplot2=plot3(hubX,hubY,hubZ,'m'); 
    try delete(c.draftplot); end
    c.draftplot=0;
    c.draftplot(1)=plot3([c.shroudXmat(end,1) c.hubXmat(end,1)],[c.shroudYmat(end,1) c.hubYmat(end,1)],[c.shroudZmat(end-1,1) c.shroudZmat(end,1)],'b');
    c.draftplot(2)=plot3([c.shroudXmat(end,2) c.hubXmat(end,2)],[c.shroudYmat(end,2) c.hubYmat(end,2)],[c.shroudZmat(end-1,1) c.shroudZmat(end,1)],'b');
    c.draftplot(3)=plot3([c.shroudX(end,1) c.hubX(end,1)],[c.shroudY(end,1) c.hubY(end,1)],[c.shroudZ(end,1) c.hubZ(end,1)],'b');
    c.draftplot(4)=plot3([c.shroudX(end,2) c.hubX(end,2)],[c.shroudY(end,2) c.hubY(end,2)],[c.shroudZ(end,2) c.hubZ(end,2)],'b');
    axis equal
end