function [XTE, YTE, ZTE]=trailing(tout, Xblade, Yblade, Zblade, ns)
tout=max(tout,0.006);
R=tout/2;
tmin=2*R/3;
Xp=Xblade(:,:,1);
Xs=Xblade(:,:,2);

Yp=Yblade(:,:,1);
Ys=Yblade(:,:,2);

Zp=Zblade(:,:,1);
Zs=Zblade(:,:,2);
for j=1:ns
Xa=Xp(end-1,j)-Xp(end,j);
Ya=Yp(end-1,j)-Yp(end,j);
Za=Zp(end-1,j)-Zp(end,j);

La=sqrt(Xa^2+Ya^2+Za^2);

Xb=Xs(end,j)-Xp(end,j);
Yb=Ys(end,j)-Yp(end,j);
Zb=Zs(end,j)-Zp(end,j);

Lb=tout;
Lf=tmin;

XTE(1,j)=Xp(end,j)+(Lf/Lb)*Xb;
YTE(1,j)=Yp(end,j)+(Lf/Lb)*Yb;
ZTE(1,j)=Zp(end,j)+(Lf/Lb)*Zb;

Xc=Xs(end-1,j)-Xs(end,j);
Yc=Ys(end-1,j)-Ys(end,j);
Zc=Zs(end-1,j)-Zs(end,j);

Lc=sqrt(Xc^2+Yc^2+Zc^2);
Le=(Lb-Lf)/tand(30);

XTE(2,j)=Xs(end,j)+(Le/Lc)*Xc;
YTE(2,j)=Ys(end,j)+(Le/Lc)*Yc;
ZTE(2,j)=Zs(end,j)+(Le/Lc)*Zc;

Xd=Xp(end-1,j)-Xp(end,j);
Yd=Yp(end-1,j)-Yp(end,j);
Zd=Zp(end-1,j)-Zp(end,j);

Ld=Le;

XTE(3,j)=Xp(end,j)+(Ld/La)*Xa;
YTE(3,j)=Yp(end,j)+(Ld/La)*Ya;
ZTE(3,j)=Zp(end,j)+(Ld/La)*Za;

Xo=Xs(end-1,j)-XTE(2,j);
Yo=Ys(end-1,j)-YTE(2,j);
Zo=Zs(end-1,j)-ZTE(2,j);

Lo=sqrt(Xo^2+Yo^2+Zo^2);
Lp=Lo/3;

XTE(4,j)=XTE(2,j)+(Lp/Lo)*Xo;
YTE(4,j)=YTE(2,j)+(Lp/Lo)*Yo;
ZTE(4,j)=ZTE(2,j)+(Lp/Lo)*Zo;


Xn=Xp(end-1,j)-XTE(3,j);
Yn=Yp(end-1,j)-YTE(3,j);
Zn=Zp(end-1,j)-ZTE(3,j);

Ln=sqrt(Xn^2+Yn^2+Zn^2);

Lm=Ln/3;

XTE(5,j)=XTE(3,j)+(Lm/Ln)*Xn;
YTE(5,j)=YTE(3,j)+(Lm/Ln)*Yn;
ZTE(5,j)=ZTE(3,j)+(Lm/Ln)*Zn;

Lpp=2*Lo/3;

XTE(6,j)=XTE(2,j)+(Lpp/Lo)*Xo;
YTE(6,j)=YTE(2,j)+(Lpp/Lo)*Yo;
ZTE(6,j)=ZTE(2,j)+(Lpp/Lo)*Zo;

Lmm=2*Ln/3;
XTE(7,j)=XTE(3,j)+(Lmm/Ln)*Xn;
YTE(7,j)=YTE(3,j)+(Lmm/Ln)*Yn;
ZTE(7,j)=ZTE(3,j)+(Lmm/Ln)*Zn;

Xg=XTE(2,j)-XTE(1,j);
Yg=YTE(2,j)-YTE(1,j);
Zg=ZTE(2,j)-ZTE(1,j);

Lg=sqrt(Xg^2+Yg^2+Zg^2);

Lj=Lg/2;

XTE(8,j)=XTE(1,j)+(Lj/Lg)*Xg;
YTE(8,j)=YTE(1,j)+(Lj/Lg)*Yg;
ZTE(8,j)=ZTE(1,j)+(Lj/Lg)*Zg;
Ljj=3*Lg/4;
XTE(10,j)=XTE(1,j)+(Ljj/Lg)*Xg;
YTE(10,j)=YTE(1,j)+(Ljj/Lg)*Yg;
ZTE(10,j)=ZTE(1,j)+(Ljj/Lg)*Zg;
Ljjj=Lg/4;
XTE(11,j)=XTE(1,j)+(Ljjj/Lg)*Xg;
YTE(11,j)=YTE(1,j)+(Ljjj/Lg)*Yg;
ZTE(11,j)=ZTE(1,j)+(Ljjj/Lg)*Zg;
X9=XTE(3,j)-Xp(end,j);
Y9=YTE(3,j)-Yp(end,j);
Z9=ZTE(3,j)-Zp(end,j);

L9=sqrt(X9^2+Y9^2+Z9^2);
Lk=L9/2;

XTE(9,j)=Xp(end,j)+(Lk/L9)*X9;
YTE(9,j)=Yp(end,j)+(Lk/L9)*Y9;
ZTE(9,j)=Zp(end,j)+(Lk/L9)*Z9;

end
end
