function [XTE, YTE, ZTE]=trailingsv(tout, Xblade, Yblade)
global d
R=tout/2;
tmin=0.002;
Xp=Xblade(:,:,1);
Xs=Xblade(:,:,2);

Yp=Yblade(:,:,1);
Ys=Yblade(:,:,2);

XTE=zeros(11,1);
YTE=XTE;

for j=1:1
Xb=Xp(end,j)-Xs(end,j);
Yb=Yp(end,j)-Ys(end,j);

Lb=tout;
Lc=tmin;

XTE(1,j)=Xs(end,j)+(Lc/Lb)*Xb;
YTE(1,j)=Ys(end,j)+(Lc/Lb)*Yb;

Xd=Xp(end-1,j)-Xp(end,j);
Yd=Yp(end-1,j)-Yp(end,j);

Ld=sqrt(Xd^2+Yd^2);
Le=(Lb-Lc)/tand(30);

XTE(2,j)=Xp(end,j)+(Le/Ld)*Xd;
YTE(2,j)=Yp(end,j)+(Le/Ld)*Yd;

Xf=XTE(1,j)-XTE(2,j);
Yf=YTE(1,j)-YTE(2,j);

Lf=sqrt(Xf^2+Yf^2);
Lg=Lf*1.2;

XTE(3,j)=XTE(1,j)-(Lg/Lf)*Xf;
YTE(3,j)=YTE(1,j)-(Lg/Lf)*Yf;


d.ynewte=linspace(YTE(1,1),YTE(3,1),100);
d.xnewte=interp1([YTE(1,1); YTE(3,1)],[XTE(1,1); XTE(3,1)],d.ynewte);
d.ynewps=linspace(Yblade(1,1,1),Yblade(end,1,1),50);
d.xnewps=interp1(Yblade(:,1,1),Xblade(:,1,1),d.ynewps);
d.delta=zeros(100,50);
for a=1:50
    for b=1:100
        d.delta(b,a)=sqrt((d.xnewte(1,b)-d.xnewps(1,a))^2+(d.ynewte(1,b)-d.ynewps(1,a))^2);
    end
end
 d.i=find(d.delta==min(min(d.delta)),1);
d.index_svps=ceil(d.i/size(d.delta,1));


XTE(4,j)=d.xnewps(1,d.index_svps);
YTE(4,j)=d.ynewps(1,d.index_svps);
clear d.ynewte, clear d.xnewte
d.ynewte=linspace(YTE(1,1),YTE(4,1),5);
d.xnewte=interp1([YTE(1,1); YTE(4,1)],[XTE(1,1); XTE(4,1)],d.ynewte);
XTE(5:9,j)=d.xnewte;
YTE(5:9,j)=d.ynewte;
end
end
