% HeadIt.m 
% For one specific geometry and mesh
% Starts with velocity components calculated in Matlab design GUI, iterates
% until Head H from CFX simulations is within 0.25 % of desired Head H_0.

clc
fclose all;
close all
clear all

H_0=201.5;  % Design head for Jhimruk HPP

% Velocity components for CFX-Pre. sqrt(r^2+t^2)=1.
radial=0.226441;     % radial velocity component from Design GUI, submit here MANUALLY 
theta=sqrt(1-radial^2);

% Sets desired velocity components in .ccl file
copyfile('RefDesign.ccl','tmp.txt');
fid1=fopen('tmp.txt','r');
fid2=fopen('RefDesign.ccl','w+');
for i=1:518
    fprintf(fid2,'%s\r\n',fgetl(fid1));
end
fprintf(fid2,'%s\r\n',['          Unit Vector Theta Component = ' num2str(theta) ]);fgetl(fid1);
fprintf(fid2,'%s\r\n',['          Unit Vector r Component = ' num2str(radial) ]);fgetl(fid1);
for i=521:716
    fprintf(fid2,'%s\r\n',fgetl(fid1));
end
fclose(fid1);
fclose(fid2);
delete tmp.txt

% open file and change res-file number
rescount=1;
copyfile('iteration.bat','tmp.txt');

fid1=fopen('tmp.txt','r');
fid2=fopen('iteration.bat','w+');
for i=1:2
    fprintf(fid2,'%s\r\n',fgetl(fid1));
end
if rescount<10
    fprintf(fid2,'%s\r\n',['"C:\Program Files\ANSYS Inc\v130\CFX\bin\cfx5post.exe" -res "C:\Users\gjosater.WIN-NTNU-NO\Documents\My Dropbox\Francis turbine design\Iteration CFX\RefDesign_00' num2str(rescount) '.res" -batch "C:\Users\gjosater.WIN-NTNU-NO\Documents\My Dropbox\Francis turbine design\Iteration CFX\post.cse"']);fgetl(fid1);
elseif rescount>99
    fprintf(fid2,'%s\r\n',['"C:\Program Files\ANSYS Inc\v130\CFX\bin\cfx5post.exe" -res "C:\Users\gjosater.WIN-NTNU-NO\Documents\My Dropbox\Francis turbine design\Iteration CFX\RefDesign_' num2str(rescount) '.res" -batch "C:\Users\gjosater.WIN-NTNU-NO\Documents\My Dropbox\Francis turbine design\Iteration CFX\post.cse"']);fgetl(fid1);
else
    fprintf(fid2,'%s\r\n',['"C:\Program Files\ANSYS Inc\v130\CFX\bin\cfx5post.exe" -res "C:\Users\gjosater.WIN-NTNU-NO\Documents\My Dropbox\Francis turbine design\Iteration CFX\RefDesign_0' num2str(rescount) '.res" -batch "C:\Users\gjosater.WIN-NTNU-NO\Documents\My Dropbox\Francis turbine design\Iteration CFX\post.cse"']);fgetl(fid1);
end
fclose(fid1);
fclose(fid2);
delete tmp.txt

% run batch file which will run CFX
!"C:\Users\gjosater.WIN-NTNU-NO\Documents\My Dropbox\Francis turbine design\Iteration CFX\iteration.bat"

% Open post session file and get simulation value of Head, H. 
% Extracts head value from HydraulicTurbineReport.txt
fid=fopen('HydraulicTurbineReport.txt','r');
for i=1:201
    fgetl(fid);
end
fscanf(fid,'%c',[1 13]);
H=fscanf(fid,'%f')
Head(1)=H
fclose(fid);
try delete HydraulicTurbineReport.txt; end
try rmdir('HydraulicTurbineReport','s'); end
% Plots the value of H
k=1
figure(1);hold on;
plot(k,Head,'kx','LineWidth',2)
Xlabel('Iterations','Fontsize',12)
Ylabel('CFX Simulated Head','Fontsize',12)



% Iteration loop, runs until analysis finds Head within acceptable range
while abs(H-H_0) > 0.0025*H_0

rescount=rescount+1;
% Change number in batch file
copyfile('iteration.bat','tmp.txt');
fid1=fopen('iteration.bat','w+');
fid2=fopen('tmp.txt','r');
for i=1:2
    fprintf(fid1,'%s\r\n',fgetl(fid2));
end

if rescount<10
    fprintf(fid1,'%s\r\n',['"C:\Program Files\ANSYS Inc\v130\CFX\bin\cfx5post.exe" -res "C:\Users\gjosater.WIN-NTNU-NO\Documents\My Dropbox\Francis turbine design\Iteration CFX\RefDesign_00' num2str(rescount) '.res" -batch "C:\Users\gjosater.WIN-NTNU-NO\Documents\My Dropbox\Francis turbine design\Iteration CFX\post.cse"' ]);fgetl(fid2);
elseif rescount>99
    fprintf(fid1,'%s\r\n',['"C:\Program Files\ANSYS Inc\v130\CFX\bin\cfx5post.exe" -res "C:\Users\gjosater.WIN-NTNU-NO\Documents\My Dropbox\Francis turbine design\Iteration CFX\RefDesign_' num2str(rescount) '.res" -batch "C:\Users\gjosater.WIN-NTNU-NO\Documents\My Dropbox\Francis turbine design\Iteration CFX\post.cse"' ]);fgetl(fid2);
else
    fprintf(fid1,'%s\r\n',['"C:\Program Files\ANSYS Inc\v130\CFX\bin\cfx5post.exe" -res "C:\Users\gjosater.WIN-NTNU-NO\Documents\My Dropbox\Francis turbine design\Iteration CFX\RefDesign_0' num2str(rescount) '.res" -batch "C:\Users\gjosater.WIN-NTNU-NO\Documents\My Dropbox\Francis turbine design\Iteration CFX\post.cse"' ]);fgetl(fid2);
end
fclose(fid1);
fclose(fid2);
delete tmp.txt

    % guess new walue of r and find corresponding value of t
    radial=radial+0.001*(H-H_0)
    theta=sqrt(1-radial^2);
    
    % Set new velocity components in .ccl file
    copyfile('RefDesign.ccl','tmp.txt');
    fid1=fopen('tmp.txt','r');
    fid2=fopen('RefDesign.ccl','w+');
    for i=1:518
        fprintf(fid2,'%s\r\n',fgetl(fid1));
    end
    fprintf(fid2,'%s\r\n',['          Unit Vector Theta Component = ' num2str(theta) ]);fgetl(fid1);
    fprintf(fid2,'%s\r\n',['          Unit Vector r Component = ' num2str(radial) ]);fgetl(fid1);
    for i=521:716
        fprintf(fid2,'%s\r\n',fgetl(fid1));
    end
    
    fclose(fid1);
    fclose(fid2);
    delete tmp.txt
    
    radial
% run batch file which will run CFX
!"C:\Users\gjosater.WIN-NTNU-NO\Documents\My Dropbox\Francis turbine design\Iteration CFX\iteration.bat"
    radial
    % Get Head,H, from post session file
    fid=fopen('HydraulicTurbineReport.txt','r');
    for i=1:201
        fgetl(fid);
    end
    fscanf(fid,'%c',[1 13]);
    H = fscanf(fid,'%f')   % Reads out Head value from HydraulicTurbineReport.txt file line 202
    fclose(fid);

    % Plots the value of H
    
    k=k+1
    figure (1);
    Head(k)=H;
    hold on;
    plot(1:k,Head,'kx-','LineWidth',2)
% %     
    % deletes the HydraulicTurbineReport txt file and the
    % HydraulicTurbineReport folder
    try delete HydraulicTurbineReport.txt; end
    try rmdir('HydraulicTurbineReport','s'); end
end
figure(1)
set(gca,'Xtick',1:k);

% Make a HeadIt.txt file with the last r and t value and the corresponding Head. 
disp 'Iteration finished'
radial
theta
Head=H
fid=fopen('HeadIt.txt','w');
fprintf(fid,'%s\r\n',['Unit Vector Theta Component = ' num2str(theta) ]);
fprintf(fid,'%s\r\n',['Unit Vector r Component = ' num2str(radial) ]);
fprintf(fid,'%s\r\n',['Head (LE-TE)= ' num2str(H) ]);
fclose(fid);
